<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.1.10.13
Name: Findings
Description: The Findings section contains the main narrative body of the report. While not an absolute requirement for transformed DICOM SR reports, it is suggested that Diagnostic Imaging Reports authored in CDA follow Term Info guidelines for the codes in the various observations and procedures recorded in this section.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.1.10.13-2021-10-28T134614">
   <title>Findings</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]
Item: (Findings)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]"
         id="d42e111-false-d1925e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.1.10.13']) &gt;= 1">(Findings): element hl7:templateId[@root = '1.2.840.10008.9.1.10.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.1.10.13']) &lt;= 1">(Findings): element hl7:templateId[@root = '1.2.840.10008.9.1.10.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:id) &gt;= 1">(Findings): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:code[(@code = '59776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Findings): element hl7:code[(@code = '59776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:code[(@code = '59776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Findings): element hl7:code[(@code = '59776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:title) &gt;= 1">(Findings): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:title) &lt;= 1">(Findings): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:text) &lt;= 1">(Findings): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:templateId[@root = '1.2.840.10008.9.1.10.13']
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:templateId[@root = '1.2.840.10008.9.1.10.13']"
         id="d42e113-false-d2042e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Findings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="string(@root) = ('1.2.840.10008.9.1.10.13')">(Findings): The value for root SHALL be '1.2.840.10008.9.1.10.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:id
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:id"
         id="d42e118-false-d2058e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Findings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:code[(@code = '59776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:code[(@code = '59776-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e120-false-d2069e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Findings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="@nullFlavor or (@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')">(Findings): The element value SHALL be one of 'code '59776-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:title
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:title"
         id="d42e125-false-d2085e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Findings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text
Item: (Findings)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &gt;= 1">(Text): element hl7:text[hl7:table] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &lt;= 1">(Text): element hl7:text[hl7:table] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &gt;= 1">(Text): element hl7:table is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &lt;= 1">(Text): element hl7:table appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:content
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:content">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@referencedObject">(Text): attribute @referencedObject SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:list
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:list">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:item) &gt;= 1">(Text): element hl7:item is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &lt;= 1">(Text): element hl7:Tr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@styleCode">(Text): attribute @styleCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@styleCode) or (string-length(@styleCode) &gt; 0 and not(matches(@styleCode,'\s')))">(Text): Attribute @styleCode SHALL be of data type 'cs'  - '<value-of select="@styleCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Th) &gt;= 1">(Text): element hl7:Th is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &gt;= 1">(Text): element hl7:Td is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &lt;= 1">(Text): element hl7:Td appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:component[hl7:section]
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:component[hl7:section]"
         id="d42e134-false-d2461e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.9']]]) &gt;= 1">(Findings): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.9']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.9']]]) &lt;= 1">(Findings): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.9']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.9']]]
Item: (Findings)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:component[hl7:section]
Item: (Findings)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:component[hl7:section]"
         id="d42e139-false-d2579e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.10']]]) &gt;= 1">(Findings): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.10']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.13-2021-10-28T134614.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.10']]]) &lt;= 1">(Findings): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.10']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.13']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.10']]]
Item: (Findings)
--></pattern>
