<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.1.10.2
Name: DICOM recordTarget
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.1.10.2-2021-07-30T071320">
   <title>DICOM recordTarget</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]"
         id="d42e192-false-d3260e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]) &gt;= 1">(DICOMrecordTarget): element hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]"
         id="d42e200-false-d3275e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.1.10.2']) &gt;= 1">(DICOMrecordTarget): element hl7:templateId[@root = '1.2.840.10008.9.1.10.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.1.10.2']) &lt;= 1">(DICOMrecordTarget): element hl7:templateId[@root = '1.2.840.10008.9.1.10.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:patientRole[hl7:patient]) &gt;= 1">(DICOMrecordTarget): element hl7:patientRole[hl7:patient] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:patientRole[hl7:patient]) &lt;= 1">(DICOMrecordTarget): element hl7:patientRole[hl7:patient] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:templateId[@root = '1.2.840.10008.9.1.10.2']
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:templateId[@root = '1.2.840.10008.9.1.10.2']"
         id="d42e202-false-d3301e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="string(@root) = ('1.2.840.10008.9.1.10.2')">(DICOMrecordTarget): The value for root SHALL be '1.2.840.10008.9.1.10.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]"
         id="d42e207-false-d3315e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:id) &gt;= 1">(DICOMrecordTarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:addr) &gt;= 1">(DICOMrecordTarget): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:telecom) &gt;= 1">(DICOMrecordTarget): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:patient) &gt;= 1">(DICOMrecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:patient) &lt;= 1">(DICOMrecordTarget): element hl7:patient appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:providerOrganization) &lt;= 1">(DICOMrecordTarget): element hl7:providerOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:id
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:id"
         id="d42e209-false-d3355e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="@extension">(DICOMrecordTarget): attribute @extension SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="not(@extension) or string-length(@extension)&gt;0">(DICOMrecordTarget): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="@root">(DICOMrecordTarget): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(DICOMrecordTarget): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:addr
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:addr"
         id="d42e216-false-d3376e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:telecom
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:telecom"
         id="d42e218-false-d3386e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient"
         id="d42e220-false-d3396e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:name) &gt;= 1">(DICOMrecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:name) &lt;= 1">(DICOMrecordTarget): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:administrativeGenderCode) &gt;= 1">(DICOMrecordTarget): element hl7:administrativeGenderCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:administrativeGenderCode) &lt;= 1">(DICOMrecordTarget): element hl7:administrativeGenderCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:birthTime) &gt;= 1">(DICOMrecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:birthTime) &lt;= 1">(DICOMrecordTarget): element hl7:birthTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:name
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:name"
         id="d42e222-false-d3428e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:administrativeGenderCode
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:administrativeGenderCode"
         id="d42e224-false-d3438e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:birthTime
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:birthTime"
         id="d42e226-false-d3448e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="not(*)">(DICOMrecordTarget): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization"
         id="d42e229-false-d3461e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:name) &gt;= 1">(DICOMrecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="count(hl7:addr) &lt;= 1">(DICOMrecordTarget): element hl7:addr appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization/hl7:name
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization/hl7:name"
         id="d42e231-false-d3485e0">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization/hl7:telecom
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization/hl7:telecom"
         id="d42e233-false-d3495e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.2
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization/hl7:addr
Item: (DICOMrecordTarget)
-->

   <rule fpi="RULC-1"
         context="*[hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]]/hl7:recordTarget[hl7:templateId[@root = '1.2.840.10008.9.1.10.2']]/hl7:patientRole[hl7:patient]/hl7:providerOrganization/hl7:addr"
         id="d42e235-false-d3505e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.1.10.2-2021-07-30T071320.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(DICOMrecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
