<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.13
Name: Procedural Medication
Description: 
                 Procedural medication describes a substance administration that has actually occurred prior to or during a procedure (e.g., imaging contrast/agents, anti-histamines, anti-anxiety, beta blockers to control heart rate during procedure, etc.). 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.13-2021-06-22T100208">
   <title>Procedural Medication</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]"
         id="d42e899-false-d6664e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]) &gt;= 1">(ProceduralMedication): element hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]) &lt;= 1">(ProceduralMedication): element hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]"
         id="d42e958-false-d6681e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="string(@moodCode) = ('EVN')">(ProceduralMedication): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="string(@classCode) = ('SBADM')">(ProceduralMedication): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.13']) &gt;= 1">(ProceduralMedication): element hl7:templateId[@root = '1.2.840.10008.9.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.13']) &lt;= 1">(ProceduralMedication): element hl7:templateId[@root = '1.2.840.10008.9.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:id) &gt;= 1">(ProceduralMedication): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:id) &lt;= 1">(ProceduralMedication): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:text) &lt;= 1">(ProceduralMedication): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:statusCode) &gt;= 1">(ProceduralMedication): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:statusCode) &lt;= 1">(ProceduralMedication): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProceduralMedication): element hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:doseQuantity) &lt;= 1">(ProceduralMedication): element hl7:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:rateQuantity) &lt;= 1">(ProceduralMedication): element hl7:rateQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]) &gt;= 1">(ProceduralMedication): element hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]) &lt;= 1">(ProceduralMedication): element hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:templateId[@root = '1.2.840.10008.9.13']
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:templateId[@root = '1.2.840.10008.9.13']"
         id="d42e1002-false-d6758e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="string(@root) = ('1.2.840.10008.9.13')">(ProceduralMedication): The value for root SHALL be '1.2.840.10008.9.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:id
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:id"
         id="d42e1007-false-d6772e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:text
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:text"
         id="d42e1010-false-d6782e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:reference) &lt;= 1">(ProceduralMedication): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:text/hl7:reference
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:text/hl7:reference"
         id="d42e1012-false-d6799e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:statusCode
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:statusCode"
         id="d42e1018-false-d6809e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:routeCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e1024-false-d6822e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProceduralMedication): The element value SHALL be one of '1.2.840.10008.6.1.9 Route of Administration (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:doseQuantity
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:doseQuantity"
         id="d42e1029-false-d6842e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(ProceduralMedication): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ProceduralMedication): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="not(@unit) or (string-length(@unit) &gt; 0 and not(matches(@unit,'\s')))">(ProceduralMedication): Attribute @unit SHALL be of data type 'cs'  - '<value-of select="@unit"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:rateQuantity
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:rateQuantity"
         id="d42e1040-false-d6860e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(ProceduralMedication): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ProceduralMedication): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="@unit">(ProceduralMedication): attribute @unit SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="not(@unit) or (string-length(@unit) &gt; 0 and not(matches(@unit,'\s')))">(ProceduralMedication): Attribute @unit SHALL be of data type 'cs'  - '<value-of select="@unit"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]"
         id="d42e1051-false-d6880e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]) &gt;= 1">(ProceduralMedication): element hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]) &lt;= 1">(ProceduralMedication): element hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]"
         id="d42e1053-false-d6896e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="string(@classCode) = ('MANU')">(ProceduralMedication): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:manufacturedMaterial) &gt;= 1">(ProceduralMedication): element hl7:manufacturedMaterial is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:manufacturedMaterial) &lt;= 1">(ProceduralMedication): element hl7:manufacturedMaterial appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]/hl7:manufacturedMaterial
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]/hl7:manufacturedMaterial"
         id="d42e1057-false-d6916e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:code) &gt;= 1">(ProceduralMedication): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:code) &lt;= 1">(ProceduralMedication): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]/hl7:manufacturedMaterial/hl7:code
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]/hl7:manufacturedMaterial/hl7:code"
         id="d42e1059-false-d6932e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="count(hl7:originalText) &lt;= 1">(ProceduralMedication): element hl7:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.13
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]/hl7:manufacturedMaterial/hl7:code/hl7:originalText
Item: (ProceduralMedication)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]/hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]/hl7:consumable[hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[@classCode = 'MANU'][hl7:manufacturedMaterial]/hl7:manufacturedMaterial/hl7:code/hl7:originalText"
         id="d42e1076-false-d6949e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.13-2021-06-22T100208.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ProceduralMedication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
