<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.17
Name: Series Act
Description: A Series Act contains the DICOM series information for referenced DICOM composite objects. The series information defines the attributes that are used to group composite instances into distinct logical sets. Each series is associated with exactly one study. Series Act clinical statements are only instantiated in the 9.8.7 DICOM Object Catalog section inside a 10.6
      Study Act
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.17-2021-06-22T105343">
   <title>Series Act</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]"
         id="d42e1295-false-d7526e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]) &gt;= 1">(SeriesAct): element hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]) &lt;= 1">(SeriesAct): element hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]"
         id="d42e1334-false-d7561e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="string(@moodCode) = ('evn')">(SeriesAct): The value for moodCode SHALL be 'evn'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="string(@classCode) = ('act')">(SeriesAct): The value for classCode SHALL be 'act'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.17']) &gt;= 1">(SeriesAct): element hl7:templateId[@root = '1.2.840.10008.9.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.17']) &lt;= 1">(SeriesAct): element hl7:templateId[@root = '1.2.840.10008.9.17'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:id[not(@extension)]) &gt;= 1">(SeriesAct): element hl7:id[not(@extension)] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:id[not(@extension)]) &lt;= 1">(SeriesAct): element hl7:id[not(@extension)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SeriesAct): element hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SeriesAct): element hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:text) &lt;= 1">(SeriesAct): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SeriesAct): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]) &gt;= 1">(SeriesAct): element hl7:entryRelationship[@typeCode = 'comp'][hl7:observation] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:templateId[@root = '1.2.840.10008.9.17']
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:templateId[@root = '1.2.840.10008.9.17']"
         id="d42e1340-false-d7631e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="string(@root) = ('1.2.840.10008.9.17')">(SeriesAct): The value for root SHALL be '1.2.840.10008.9.17'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:id[not(@extension)]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:id[not(@extension)]"
         id="d42e1345-false-d7645e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="not(@extension)">(SeriesAct): attribute @extension MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="@root">(SeriesAct): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(SeriesAct): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]"
         id="d42e1358-false-d7662e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="@nullFlavor or (@code='113015' and @codeSystem='1.2.840.10008.2.16.4')">(SeriesAct): The element value SHALL be one of 'code '113015' codeSystem '1.2.840.10008.2.16.4''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SeriesAct): element hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SeriesAct): element hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]/hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]/hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]"
         id="d42e1375-false-d7688e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SeriesAct): element hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SeriesAct): element hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:value) &gt;= 1">(SeriesAct): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:value) &lt;= 1">(SeriesAct): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]/hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]/hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]"
         id="d42e1377-false-d7714e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="@nullFlavor or (@code='121139' and @codeSystem='1.2.840.10008.2.16.4')">(SeriesAct): The element value SHALL be one of 'code '121139' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]/hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]/hl7:qualifier[hl7:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value"
         id="d42e1382-false-d7730e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:text
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:text"
         id="d42e1390-false-d7740e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:effectiveTime
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:effectiveTime"
         id="d42e1392-false-d7750e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="not(*)">(SeriesAct): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]"
         id="d42e1397-false-d7772e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="string(@typeCode) = ('comp')">(SeriesAct): The value for typeCode SHALL be 'comp'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SeriesAct): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.17-2021-06-22T105343.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SeriesAct): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.17
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SeriesAct)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]]/hl7:act[hl7:templateId[@root = '1.2.840.10008.9.17']]/hl7:entryRelationship[@typeCode = 'comp'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
