<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.3.1.3.1
Name: Human Patient with Non-Human Subject
Description: When the subject of the observations in this part of the report is a sample taken from a non-human subject, such as an animal, a lake, soil or other environmental element, while other parts of the report are related to the human patient, the following SHALL be present. In addition to the elements specified in the CDA body for the non-human subject, this non-human
                subject SHALL be represented in the CDA header as described in template Non-Human Subject 1.3.6.1.4.1.19376.1.3.3.1.2
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000">
   <title>Human Patient with Non-Human Subject</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3.1
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]
Item: (Humanpatientwithnonhumansubject)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]"
         id="d42e5291-false-d29868e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']) &gt;= 1">(Humanpatientwithnonhumansubject): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']) &lt;= 1">(Humanpatientwithnonhumansubject): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:relatedSubject) &gt;= 1">(Humanpatientwithnonhumansubject): element hl7:relatedSubject is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:relatedSubject) &lt;= 1">(Humanpatientwithnonhumansubject): element hl7:relatedSubject appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3.1
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']
Item: (Humanpatientwithnonhumansubject)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']"
         id="d42e5342-false-d29893e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Humanpatientwithnonhumansubject): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.1.3.1')">(Humanpatientwithnonhumansubject): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.3.1.3.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3.1
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:relatedSubject
Item: (Humanpatientwithnonhumansubject)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:relatedSubject"
         id="d42e5347-false-d29907e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:code) &gt;= 1">(Humanpatientwithnonhumansubject): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:code) &lt;= 1">(Humanpatientwithnonhumansubject): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:addr) &gt;= 1">(Humanpatientwithnonhumansubject): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="count(hl7:addr) &lt;= 1">(Humanpatientwithnonhumansubject): element hl7:addr appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3.1
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:relatedSubject/hl7:code
Item: (Humanpatientwithnonhumansubject)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:relatedSubject/hl7:code"
         id="d42e5349-false-d29931e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Humanpatientwithnonhumansubject): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3.1
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:relatedSubject/hl7:addr
Item: (Humanpatientwithnonhumansubject)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]/hl7:relatedSubject/hl7:addr"
         id="d42e5355-false-d29941e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(Humanpatientwithnonhumansubject): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
