<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Name: IHE Payers section
Description: 
                 The Payers section contains data on the patient’s payers, whether a ‘third party’  insurance, self-pay, other payer or guarantor, or some combination. 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244">
   <title>IHE Payers section</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]
Item: (IHEPayersSection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]
Item: (IHEPayersSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]"
         id="d42e6359-false-d33437e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7']) &gt;= 1">(IHEPayersSection): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7']) &lt;= 1">(IHEPayersSection): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']) &gt;= 1">(IHEPayersSection): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']) &lt;= 1">(IHEPayersSection): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IHEPayersSection): element hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IHEPayersSection): element hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(IHEPayersSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(IHEPayersSection): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(IHEPayersSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(IHEPayersSection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7']
Item: (IHEPayersSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7']"
         id="d42e6361-false-d33498e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayersSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7')">(IHEPayersSection): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']
Item: (IHEPayersSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']"
         id="d42e6366-false-d33513e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayersSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.9')">(IHEPayersSection): The value for root SHALL be '2.16.840.1.113883.10.20.1.9'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IHEPayersSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6371-false-d33528e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IHEPayersSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="@nullFlavor or (@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')">(IHEPayersSection): The element value SHALL be one of 'code '48768-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:title[not(@nullFlavor)]
Item: (IHEPayersSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:title[not(@nullFlavor)]"
         id="d42e6376-false-d33544e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IHEPayersSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:text[not(@nullFlavor)]
Item: (IHEPayersSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:text[not(@nullFlavor)]"
         id="d42e6378-false-d33554e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(IHEPayersSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]
Item: (IHEPayersSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.9']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="@typeCode">(IHEPayersSection): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.1.5.3.7-2015-07-02T213244.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(IHEPayersSection): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
   </rule>
</pattern>
