<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Name: IHE Coverage Entry
Description: Payers shall be recorded as described in CCD: 3.1.2.1.1. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207">
   <title>IHE Coverage Entry</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]
Item: (IHECoverageEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]
Item: (IHECoverageEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]"
         id="d42e6456-false-d33729e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="string(@classCode) = ('ACT')">(IHECoverageEntry): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="string(@moodCode) = ('DEF')">(IHECoverageEntry): The value for moodCode SHALL be 'DEF'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17']) &gt;= 1">(IHECoverageEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17']) &lt;= 1">(IHECoverageEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']) &gt;= 1">(IHECoverageEntry): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']) &lt;= 1">(IHECoverageEntry): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:id) &gt;= 1">(IHECoverageEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IHECoverageEntry): element hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IHECoverageEntry): element hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IHECoverageEntry): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IHECoverageEntry): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]) &gt;= 1">(IHECoverageEntry): element hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17']
Item: (IHECoverageEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17']"
         id="d42e6462-false-d33797e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHECoverageEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.17')">(IHECoverageEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.17'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']
Item: (IHECoverageEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']"
         id="d42e6467-false-d33812e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHECoverageEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.20')">(IHECoverageEntry): The value for root SHALL be '2.16.840.1.113883.10.20.1.20'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:id
Item: (IHECoverageEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:id"
         id="d42e6472-false-d33826e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHECoverageEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IHECoverageEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6475-false-d33837e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECoverageEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="@nullFlavor or (@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Payment source')">(IHECoverageEntry): The element value SHALL be one of 'code '48768-6' codeSystem '2.16.840.1.113883.6.1' displayName='Payment source''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:statusCode[@code = 'completed']
Item: (IHECoverageEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:statusCode[@code = 'completed']"
         id="d42e6480-false-d33854e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IHECoverageEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="@nullFlavor or (@code='completed')">(IHECoverageEntry): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]
Item: (IHECoverageEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="string(@typeCode) = ('COMP')">(IHECoverageEntry): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="count(hl7:sequenceNumber) &lt;= 1">(IHECoverageEntry): element hl7:sequenceNumber appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.17
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:sequenceNumber
Item: (IHECoverageEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.17'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.20']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:sequenceNumber">
      <extends rule="INT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(IHECoverageEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.17-2015-07-03T170207.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(IHECoverageEntry): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
