<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.2.16
Name: Hospital Discharge Studies Summary Section
Description: This section records the results of observations generated by laboratories, imaging procedures, and other procedures. The scope includes hematology, chemistry, serology, virology, toxicology, microbiology, plain x-ray, ultrasound, CT, MRI, angiography, echocardiography, nuclear medicine, pathology, and procedure observations. This section often includes notable
            results such as abnormal values or relevant trends, and could record all results for the period of time being documented. Laboratory results are typically generated by laboratories providing analytic services in areas such as chemistry, hematology, serology, histology, cytology, anatomic pathology, microbiology, and/or virology. These observations are based on analysis of specimens
            obtained from the patient and submitted to the laboratory. Imaging results are typically generated by a clinician reviewing the output of an imaging procedure, such as when a cardiologist reports the left ventricular ejection f
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000">
   <title>Hospital Discharge Studies Summary Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.16
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]
Item: (HospitalDischargeStudiesSummarySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.16
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]
Item: (HospitalDischargeStudiesSummarySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]"
         id="d42e12336-false-d233999e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']) &gt;= 1">(HospitalDischargeStudiesSummarySection): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']) &lt;= 1">(HospitalDischargeStudiesSummarySection): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:code[(@code = '11493-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(HospitalDischargeStudiesSummarySection): element cda:code[(@code = '11493-4' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:code[(@code = '11493-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(HospitalDischargeStudiesSummarySection): element cda:code[(@code = '11493-4' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:title) &gt;= 1">(HospitalDischargeStudiesSummarySection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:title) &lt;= 1">(HospitalDischargeStudiesSummarySection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:text) &gt;= 1">(HospitalDischargeStudiesSummarySection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="count(cda:text) &lt;= 1">(HospitalDischargeStudiesSummarySection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.16
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']
Item: (HospitalDischargeStudiesSummarySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']"
         id="d42e12338-false-d234042e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(HospitalDischargeStudiesSummarySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.2.16')">CONF:81-10398: The value for root SHALL be '2.16.840.1.113883.10.20.22.2.16'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.16
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:code[(@code = '11493-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (HospitalDischargeStudiesSummarySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:code[(@code = '11493-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e12354-false-d234057e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(HospitalDischargeStudiesSummarySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="@nullFlavor or (@code='11493-4' and @codeSystem='2.16.840.1.113883.6.1')">(HospitalDischargeStudiesSummarySection): The element value SHALL be one of 'code '11493-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.16
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:title
Item: (HospitalDischargeStudiesSummarySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:title"
         id="d42e12364-false-d234073e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(HospitalDischargeStudiesSummarySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.16
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:text
Item: (HospitalDischargeStudiesSummarySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.16']]/cda:text"
         id="d42e12372-false-d234083e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.16-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(HospitalDischargeStudiesSummarySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
