<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.113
Name: Prognosis Observation
Description: This template represents the patient’s prognosis, which must be associated with a problem observation. It may serve as an alert to scope intervention plans. The effectiveTime represents the clinically relevant time of the observation. The observation/value is not constrained and can represent the expected life duration in PQ, an anticipated course of the disease in
            text, or coded term.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000">
   <title>Prognosis Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]
Item: (PrognosisObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]
Item: (PrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]"
         id="d42e12590-false-d234486e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:1098-29035: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-29036: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']) &gt;= 1">(PrognosisObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']) &lt;= 1">(PrognosisObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(PrognosisObservation): element cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(PrognosisObservation): element cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(PrognosisObservation): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(PrognosisObservation): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &gt;= 1">(PrognosisObservation): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(PrognosisObservation): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(PrognosisObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:value) &lt;= 1">(PrognosisObservation): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']
Item: (PrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']"
         id="d42e12608-false-d234546e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(PrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.113')">CONF:1098-29038: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.113'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (PrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e12624-false-d234561e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')">(PrognosisObservation): The element value SHALL be one of 'code '75328-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:statusCode[@code = 'completed']
Item: (PrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:statusCode[@code = 'completed']"
         id="d42e12634-false-d234578e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(PrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(PrognosisObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:effectiveTime
Item: (PrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:effectiveTime"
         id="d42e12645-false-d234594e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(PrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]/cda:value
Item: (PrognosisObservation)
-->
</pattern>
