<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.14
Name: Procedure Activity Procedure (V2)
Description: The common notion of "procedure" is broader than that specified by the HL7 Version 3 Reference Information Model (RIM). Therefore procedure templates can be represented with various RIM classes: act (e.g., dressing change), observation (e.g., EEG), procedure (e.g., splenectomy). This template represents procedures whose immediate and primary outcome (post-condition)
            is the alteration of the physical condition of the patient. Examples of these procedures are an appendectomy, hip replacement, and a creation of a gastrostomy. This template can be used with a contained Product Instance template to represent a device in or on a patient. In this case, targetSiteCode is used to record the location of the device in or on the patient's body. Equipment
            supplied to the patient (e.g., pumps, inhalers, wheelchairs) is represented by the Non-Medicinal Supply Activity (V2) template.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000">
   <title>Procedure Activity Procedure (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]
Item: (ProcedureActivityProcedureV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]"
         id="d42e13090-false-d235417e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@classCode) = ('PROC')">CONF:1098-7652: The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-7653: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14']) &gt;= 1">(ProcedureActivityProcedureV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14']) &lt;= 1">(ProcedureActivityProcedureV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']) &gt;= 1">(ProcedureActivityProcedureV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']) &lt;= 1">(ProcedureActivityProcedureV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(ProcedureActivityProcedureV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:code) &gt;= 1">(ProcedureActivityProcedureV2): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:code) &lt;= 1">(ProcedureActivityProcedureV2): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:statusCode) &gt;= 1">(ProcedureActivityProcedureV2): element cda:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:statusCode) &lt;= 1">(ProcedureActivityProcedureV2): element cda:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(ProcedureActivityProcedureV2): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:priorityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProcedureActivityProcedureV2): element cda:priorityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:methodCode) &lt;= 1">(ProcedureActivityProcedureV2): element cda:methodCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]) &lt;= 1">(ProcedureActivityProcedureV2): element cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14']
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14']"
         id="d42e13108-false-d235671e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.14')">(ProcedureActivityProcedureV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']"
         id="d42e13118-false-d235686e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.14')">CONF:1098-10521: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.14'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32506: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32506: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:id
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:id"
         id="d42e13142-false-d235707e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:code
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:code"
         id="d42e13151-false-d235717e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:originalText) &lt;= 1">(ProcedureActivityProcedureV2): element cda:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:code/cda:originalText
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:code/cda:originalText"
         id="d42e13158-false-d235731e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:reference) &lt;= 1">(ProcedureActivityProcedureV2): element cda:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:code/cda:originalText/cda:reference
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:code/cda:originalText/cda:reference"
         id="d42e13165-false-d235745e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="not(@value) or starts-with(@value, '#')">(ProcedureActivityProcedureV2): This reference/@value *SHALL* begin with a '#' and *SHALL* point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:statusCode
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:statusCode"
         id="d42e13186-false-d235753e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:effectiveTime
Item: (ProcedureActivityProcedureV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:priorityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:priorityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e13202-false-d235774e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProcedureActivityProcedureV2): The element value SHALL be one of '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:methodCode
Item: (ProcedureActivityProcedureV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e13223-false-d235802e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProcedureActivityProcedureV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.8.9 Body Site (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:specimen[cda:specimenRole]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:specimen[cda:specimenRole]"
         id="d42e13257-false-d235819e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:specimenRole[not(@nullFlavor)]) &gt;= 1">(ProcedureActivityProcedureV2): element cda:specimenRole[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:specimenRole[not(@nullFlavor)]) &lt;= 1">(ProcedureActivityProcedureV2): element cda:specimenRole[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:specimen[cda:specimenRole]/cda:specimenRole[not(@nullFlavor)]
Item: (ProcedureActivityProcedureV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:specimen[cda:specimenRole]/cda:specimenRole[not(@nullFlavor)]/cda:id
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:specimen[cda:specimenRole]/cda:specimenRole[not(@nullFlavor)]/cda:id"
         id="d42e13274-false-d235846e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]"
         id="d42e13287-false-d235856e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)]) &gt;= 1">(ProcedureActivityProcedureV2): element cda:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)]) &lt;= 1">(ProcedureActivityProcedureV2): element cda:assignedEntity[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]"
         id="d42e13294-false-d235872e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(ProcedureActivityProcedureV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:addr) &gt;= 1">(ProcedureActivityProcedureV2): element cda:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:telecom) &gt;= 1">(ProcedureActivityProcedureV2): element cda:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:representedOrganization) &lt;= 1">(ProcedureActivityProcedureV2): element cda:representedOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:id
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:id"
         id="d42e13301-false-d235904e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr"
         id="d42e13309-false-d235914e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:telecom
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:telecom"
         id="d42e13317-false-d235924e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization"
         id="d42e13326-false-d235934e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:telecom) &gt;= 1">(ProcedureActivityProcedureV2): element cda:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:telecom) &lt;= 1">(ProcedureActivityProcedureV2): element cda:telecom appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:addr) &gt;= 1">(ProcedureActivityProcedureV2): element cda:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:addr) &lt;= 1">(ProcedureActivityProcedureV2): element cda:addr appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:id"
         id="d42e13333-false-d235966e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (ProcedureActivityProcedureV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:telecom"
         id="d42e13349-false-d235984e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:representedOrganization/cda:addr"
         id="d42e13358-false-d235994e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (ProcedureActivityProcedureV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &gt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &lt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &gt;= 1">(AuthorParticipation): element cda:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &lt;= 1">(AuthorParticipation): element cda:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.119'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorParticipation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson) &lt;= 1">(AuthorParticipation): element cda:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization) &lt;= 1">(AuthorParticipation): element cda:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorParticipation): The element value SHALL be one of '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]
Item: (ProcedureActivityProcedureV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('DEV')">CONF:1098-7752: The value for typeCode SHALL be 'DEV'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]
Item: (ProcedureActivityProcedureV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('LOC')">CONF:1098-7766: The value for typeCode SHALL be 'LOC'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[@inversionInd = 'true'][@typeCode = 'COMP'][cda:encounter[@classCode = 'ENC'][@moodCode = 'EVN']]
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[@inversionInd = 'true'][@typeCode = 'COMP'][cda:encounter[@classCode = 'ENC'][@moodCode = 'EVN']]"
         id="d42e13410-false-d236258e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1098-7769: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-8009: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN']) &gt;= 1">(ProcedureActivityProcedureV2): element cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN']) &lt;= 1">(ProcedureActivityProcedureV2): element cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[@inversionInd = 'true'][@typeCode = 'COMP'][cda:encounter[@classCode = 'ENC'][@moodCode = 'EVN']]/cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN']
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[@inversionInd = 'true'][@typeCode = 'COMP'][cda:encounter[@classCode = 'ENC'][@moodCode = 'EVN']]/cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN']"
         id="d42e13433-false-d236282e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@classCode) = ('ENC')">CONF:1098-7771: The value for classCode SHALL be 'ENC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-7772: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(ProcedureActivityProcedureV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="count(cda:id) &lt;= 1">(ProcedureActivityProcedureV2): element cda:id appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[@inversionInd = 'true'][@typeCode = 'COMP'][cda:encounter[@classCode = 'ENC'][@moodCode = 'EVN']]/cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN']/cda:id
Item: (ProcedureActivityProcedureV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[@inversionInd = 'true'][@typeCode = 'COMP'][cda:encounter[@classCode = 'ENC'][@moodCode = 'EVN']]/cda:encounter[not(@nullFlavor)][@classCode = 'ENC'][@moodCode = 'EVN']/cda:id"
         id="d42e13456-false-d236306e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProcedureV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]
Item: (ProcedureActivityProcedureV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:1098-7776: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-7777: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]
Item: (ProcedureActivityProcedureV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:1098-7780: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]
Item: (ProcedureActivityProcedureV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1098-7887: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.14
Context: *[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]
Item: (ProcedureActivityProcedureV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]/cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.14-2014-06-09T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1098-32474: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
