<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.143
Name: Priority Preference
Description: This template represents priority preferences chosen by a patient or a care provider. Priority preferences are choices made by care providers or patients or both relative to options for care or treatment (including scheduling, care experience, and meeting of personal health goals), the sharing and disclosure of health information, and the prioritization of concerns
            and problems.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000">
   <title>Priority Preference</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]
Item: (PriorityPreference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]
Item: (PriorityPreference)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]"
         id="d42e13543-false-d236529e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:1098-30949: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-30950: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']) &gt;= 1">(PriorityPreference): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']) &lt;= 1">(PriorityPreference): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(PriorityPreference): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:code[(@code = '225773000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(PriorityPreference): element cda:code[(@code = '225773000' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:code[(@code = '225773000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(PriorityPreference): element cda:code[(@code = '225773000' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(PriorityPreference): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(PriorityPreference): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(PriorityPreference): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']
Item: (PriorityPreference)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']"
         id="d42e13561-false-d236596e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(PriorityPreference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.143')">CONF:1098-30952: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.143'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:id
Item: (PriorityPreference)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:id"
         id="d42e13577-false-d236610e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(PriorityPreference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:code[(@code = '225773000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (PriorityPreference)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:code[(@code = '225773000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e13585-false-d236621e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PriorityPreference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="@nullFlavor or (@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')">(PriorityPreference): The element value SHALL be one of 'code '225773000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:effectiveTime
Item: (PriorityPreference)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:effectiveTime"
         id="d42e13596-false-d236637e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(PriorityPreference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (PriorityPreference)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e13604-false-d236650e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PriorityPreference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.143-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.60-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(PriorityPreference): The element value SHALL be one of '2.16.840.1.113883.11.20.9.60 Priority Level (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.143
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (PriorityPreference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &gt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &lt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &gt;= 1">(AuthorParticipation): element cda:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &lt;= 1">(AuthorParticipation): element cda:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.119'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorParticipation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson) &lt;= 1">(AuthorParticipation): element cda:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization) &lt;= 1">(AuthorParticipation): element cda:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorParticipation): The element value SHALL be one of '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
