<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.147
Name: Medication Free Text Sig
Description: The template is available to explicitly identify the free text Sig within each medication. An example free text sig: Thyroxin 150 ug, take one tab by mouth every morning.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000-closed">
   <title>Medication Free Text Sig</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/*[not(@xsi:nil = 'true')][not(self::cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']])]"
         id="d42e13624-true-d237078e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(.)">(MedicationFreeTextSig)/d42e13624-true-d237078e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']] (rule-reference: d42e13624-true-d237078e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/*[not(@xsi:nil = 'true')][not(self::cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147'] | self::cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::cda:text[not(@nullFlavor)][cda:reference] | self::cda:consumable[not(@nullFlavor)][cda:manufacturedProduct])]"
         id="d42e13635-true-d237112e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(.)">(MedicationFreeTextSig)/d42e13635-true-d237112e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147'] | cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')] | cda:text[not(@nullFlavor)][cda:reference] | cda:consumable[not(@nullFlavor)][cda:manufacturedProduct] (rule-reference: d42e13635-true-d237112e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:text[not(@nullFlavor)][cda:reference]/*[not(@xsi:nil = 'true')][not(self::cda:reference[not(@nullFlavor)])]"
         id="d42e13686-true-d237138e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(.)">(MedicationFreeTextSig)/d42e13686-true-d237138e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  cda:reference[not(@nullFlavor)] (rule-reference: d42e13686-true-d237138e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]/*[not(@xsi:nil = 'true')][not(self::cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']])]"
         id="d42e13716-true-d237157e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(.)">(MedicationFreeTextSig)/d42e13716-true-d237157e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']] (rule-reference: d42e13716-true-d237157e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]/cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]/*[not(@xsi:nil = 'true')][not(self::cda:manufacturedLabeledDrug[@nullFlavor = 'NA'])]"
         id="d42e13723-true-d237171e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(.)">(MedicationFreeTextSig)/d42e13723-true-d237171e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  cda:manufacturedLabeledDrug[@nullFlavor = 'NA'] (rule-reference: d42e13723-true-d237171e0)</assert>
   </rule>
</pattern>
