<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.20
Name: Instruction (V2)
Description: The Instruction template can be used in several ways, such as to record patient instructions within a Medication Activity or to record fill instructions within a supply order. The template's moodCode can only be INT. If an instruction was already be given, the Procedure Activity Act template (instead of this template) should be used to represent the already occurred
      instruction. The act/code defines the type of instruction. Though not defined in this template, a Vaccine Information Statement (VIS) document could be referenced through act/reference/externalDocument, and patient awareness of the instructions can be represented with the generic participant and the participant/awarenessCode.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000">
   <title>Instruction (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.20
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]
Item: (InstructionV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.20
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]
Item: (InstructionV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]"
         id="d42e14878-false-d239742e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="string(@classCode) = ('ACT')">CONF:1098-7391: The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="string(@moodCode) = ('INT')">CONF:1098-7392: The value for moodCode SHALL be 'INT'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20']) &gt;= 1">(InstructionV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20']) &lt;= 1">(InstructionV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']) &gt;= 1">(InstructionV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']) &lt;= 1">(InstructionV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(InstructionV2): element cda:code is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(InstructionV2): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(InstructionV2): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(InstructionV2): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.20
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20']
Item: (InstructionV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20']"
         id="d42e14896-false-d239797e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(InstructionV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.20')">(InstructionV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.20'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.20
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']
Item: (InstructionV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']"
         id="d42e14906-false-d239812e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(InstructionV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.20')">CONF:1098-10503: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.20'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32598: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.20
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (InstructionV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.20.9.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e14930-false-d239833e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(InstructionV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.34-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(InstructionV2): The element value SHALL be one of '2.16.840.1.113883.11.20.9.34 Patient Education (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.20
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']
Item: (InstructionV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']"
         id="d42e14941-false-d239854e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(InstructionV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.20-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(InstructionV2): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
</pattern>
