<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.23
Name: Medication Information (V2)
Description: A medication should be recorded as a pre-coordinated ingredient + strength + dose form (e.g., “metoprolol 25mg tablet”, “amoxicillin 400mg/5mL suspension”) where possible. This includes RxNorm codes whose Term Type is SCD (semantic clinical drug), SBD (semantic brand drug), GPCK (generic pack), BPCK (brand pack). The dose (doseQuantity) represents how many of the
            consumables are to be administered at each administration event. As a result, the dose is always relative to the consumable. Thus, a patient consuming a single "metoprolol 25mg tablet" per administration will have a doseQuantity of "1", whereas a patient consuming "metoprolol" will have a dose of "25 mg".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000">
   <title>Medication Information (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]
Item: (MedicationInformationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]"
         id="d42e14967-false-d239892e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="string(@classCode) = ('MANU')">CONF:1098-7408: The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23']) &gt;= 1">(MedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23']) &lt;= 1">(MedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']) &gt;= 1">(MedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']) &lt;= 1">(MedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]) &gt;= 1">(MedicationInformationV2): element cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]) &lt;= 1">(MedicationInformationV2): element cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:manufacturerOrganization) &lt;= 1">(MedicationInformationV2): element cda:manufacturerOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23']
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23']"
         id="d42e14977-false-d239944e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationInformationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.23')">(MedicationInformationV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.23'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']"
         id="d42e14987-false-d239959e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationInformationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.23')">CONF:1098-10506: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.23'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32579: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:id
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:id"
         id="d42e15011-false-d239977e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationInformationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]"
         id="d42e15019-false-d239990e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &gt;= 1">(MedicationInformationV2): element cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="count(cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &lt;= 1">(MedicationInformationV2): element cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]"
         id="d42e15026-false-d240012e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(MedicationInformationV2): The element value SHALL be one of '2.16.840.1.113762.1.4.1010.4 Medication Clinical Drug (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]/cda:translation[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (MedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]/cda:translation[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]"
         id="d42e15035-false-d240038e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.23-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113762.1.4.1010.2-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(MedicationInformationV2): The element value SHALL be one of '2.16.840.1.113762.1.4.1010.2 Clinical Substance (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.23
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]/cda:manufacturerOrganization
Item: (MedicationInformationV2)
-->
</pattern>
