<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.24
Name: Drug Vehicle
Description: This template represents the vehicle (e.g., saline, dextrose) for administering a medication.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000">
   <title>Drug Vehicle</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]
Item: (DrugVehicle)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]
Item: (DrugVehicle)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]"
         id="d42e15069-false-d240081e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="string(@classCode) = ('MANU')">CONF:81-7490: The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']) &gt;= 1">(DrugVehicle): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']) &lt;= 1">(DrugVehicle): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:code[(@code = '412307009' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(DrugVehicle): element cda:code[(@code = '412307009' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:code[(@code = '412307009' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(DrugVehicle): element cda:code[(@code = '412307009' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:playingEntity[not(@nullFlavor)][cda:code]) &gt;= 1">(DrugVehicle): element cda:playingEntity[not(@nullFlavor)][cda:code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:playingEntity[not(@nullFlavor)][cda:code]) &lt;= 1">(DrugVehicle): element cda:playingEntity[not(@nullFlavor)][cda:code] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']
Item: (DrugVehicle)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']"
         id="d42e15079-false-d240120e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DrugVehicle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.24')">CONF:81-10493: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.24'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:code[(@code = '412307009' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (DrugVehicle)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:code[(@code = '412307009' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e15095-false-d240135e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="@nullFlavor or (@code='412307009' and @codeSystem='2.16.840.1.113883.6.96')">(DrugVehicle): The element value SHALL be one of 'code '412307009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:playingEntity[not(@nullFlavor)][cda:code]
Item: (DrugVehicle)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:playingEntity[not(@nullFlavor)][cda:code]"
         id="d42e15105-false-d240148e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:code) &gt;= 1">(DrugVehicle): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:code) &lt;= 1">(DrugVehicle): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.24-2015-08-13T000000.html"
              test="count(cda:name) &lt;= 1">(DrugVehicle): element cda:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:playingEntity[not(@nullFlavor)][cda:code]/cda:code
Item: (DrugVehicle)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.24
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]/cda:playingEntity[not(@nullFlavor)][cda:code]/cda:name
Item: (DrugVehicle)
-->
</pattern>
