<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.4
Name: Problem Observation (V3)
Description: This template reflects a discrete observation about a patient's problem. Because it is a discrete observation, it will have a statusCode of "completed". The effectiveTime, also referred to as the “biologically relevant time” is the time at which the observation holds for the patient. For a provider seeing a patient in the clinic today, observing a history of heart
      attack that occurred five years ago, the effectiveTime is five years ago. The effectiveTime of the Problem Observation is the definitive indication of whether or not the underlying condition is resolved. If the problem is known to be resolved, then an effectiveTime/high would be present. If the date of resolution is not known, then effectiveTime/high will be present with a nullFlavor
      of "UNK".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000">
   <title>Problem Observation (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]
Item: (ProblemObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]"
         id="d42e15477-false-d240841e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@classCode) = ('OBS')">CONF:1198-9041: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1198-9042: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">CONF:1198-10139: Attribute @negationInd SHALL be of data type 'bl'  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4']) &gt;= 1">(ProblemObservationV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4']) &lt;= 1">(ProblemObservationV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']) &gt;= 1">(ProblemObservationV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']) &lt;= 1">(ProblemObservationV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:id) &gt;= 1">(ProblemObservationV3): element cda:id is required [min 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(ProblemObservationV3): element cda:code is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProblemObservationV3): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(ProblemObservationV3): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(ProblemObservationV3): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:effectiveTime[not(@nullFlavor)][cda:low]) &gt;= 1">(ProblemObservationV3): element cda:effectiveTime[not(@nullFlavor)][cda:low] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:effectiveTime[not(@nullFlavor)][cda:low]) &lt;= 1">(ProblemObservationV3): element cda:effectiveTime[not(@nullFlavor)][cda:low] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(ProblemObservationV3): element cda:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProblemObservationV3): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]) &lt;= 1">(ProblemObservationV3): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]) &lt;= 1">(ProblemObservationV3): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.6']]]) &lt;= 1">(ProblemObservationV3): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.6']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4']
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4']"
         id="d42e15503-false-d240972e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.4')">(ProblemObservationV3): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']"
         id="d42e15513-false-d240987e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.4')">CONF:1198-14927: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.4'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@extension) = ('2015-08-01')">CONF:1198-32508: The value for extension SHALL be '2015-08-01'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1198-32508: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:id
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:id"
         id="d42e15538-false-d241008e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15546-false-d241021e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationV3): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.2 Problem Type (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1099.28-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1099.28-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15559-false-d241050e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113762.1.4.1099.28-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationV3): The element value SHALL be one of '2.16.840.1.113762.1.4.1099.28 Problem Type LOINC (DYNAMIC)'.</assert>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="not(../cda:code/@codeSystem='2.16.840.1.113883.6.96') or cda:translation">(ProblemObservationV3): If code is selected from ValueSet Problem Type (SNOMEDCT) 2.16.840.1.113883.3.88.12.3221.7.2 DYNAMIC, then it SHALL have at least one [1..*] translation, which SHOULD be selected from ValueSet Problem Type (LOINC) 2.16.840.1.113762.1.4.1099.28 DYNAMIC (CONF:1198-32950).
          </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:statusCode[@code = 'completed']
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:statusCode[@code = 'completed']"
         id="d42e15576-false-d241071e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationV3): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:effectiveTime[not(@nullFlavor)][cda:low]
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:effectiveTime[not(@nullFlavor)][cda:low]"
         id="d42e15586-false-d241087e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:low) &gt;= 1">(ProblemObservationV3): element cda:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:low) &lt;= 1">(ProblemObservationV3): element cda:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="count(cda:high) &lt;= 1">(ProblemObservationV3): element cda:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:effectiveTime[not(@nullFlavor)][cda:low]/cda:low
Item: (ProblemObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:effectiveTime[not(@nullFlavor)][cda:low]/cda:high
Item: (ProblemObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProblemObservationV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15616-false-d241131e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProblemObservationV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationV3): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/cda:qualifier
Item: (ProblemObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/cda:translation
Item: (ProblemObservationV3)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (ProblemObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &gt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &lt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &gt;= 1">(AuthorParticipation): element cda:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &lt;= 1">(AuthorParticipation): element cda:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.119'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorParticipation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson) &lt;= 1">(AuthorParticipation): element cda:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization) &lt;= 1">(AuthorParticipation): element cda:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorParticipation): The element value SHALL be one of '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]
Item: (ProblemObservationV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.31']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:1198-9060: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1198-9069: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]
Item: (ProblemObservationV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.113']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1198-31531: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]
Item: (ProblemObservationV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.143']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1198-31532: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.4
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.6']]]
Item: (ProblemObservationV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.6']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.4-2015-08-01T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1198-9068: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
