<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.53
Name: Immunization Refusal Reason
Description: The Immunization Refusal Reason documents the rationale for the patient declining an immunization.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000">
   <title>Immunization Refusal Reason</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.53
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]
Item: (ImmunizationRefusalReason)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.53
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]
Item: (ImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]"
         id="d42e16228-false-d242808e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-8991: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-8992: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']) &gt;= 1">(ImmunizationRefusalReason): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']) &lt;= 1">(ImmunizationRefusalReason): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(ImmunizationRefusalReason): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ImmunizationRefusalReason): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ImmunizationRefusalReason): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(ImmunizationRefusalReason): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(ImmunizationRefusalReason): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.53
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']
Item: (ImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']"
         id="d42e16246-false-d242860e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.53')">CONF:81-10500: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.53'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.53
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:id
Item: (ImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:id"
         id="d42e16262-false-d242874e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.53
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e16270-false-d242887e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19717-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ImmunizationRefusalReason): The element value SHALL be one of '2.16.840.1.113883.1.11.19717 ActNoImmunizationReason (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.53
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:statusCode[@code = 'completed']
Item: (ImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]/cda:statusCode[@code = 'completed']"
         id="d42e16281-false-d242908e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.53-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(ImmunizationRefusalReason): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
</pattern>
