<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.63
Name: Series Act
Description: A Series Act contains the DICOM series information for referenced DICOM composite objects. The series information defines the attributes that are used to group composite instances into distinct logical sets. Each series is associated with exactly one study. Series Act clinical statements are only instantiated in the DICOM Object Catalog section inside a Study Act,
            and thus do not require a separate templateId; in other sections, the SOP Instance Observation is included directly.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000">
   <title>Series Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]
Item: (SeriesAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]"
         id="d42e16577-false-d243337e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="string(@classCode) = ('ACT')">CONF:81-9222: The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9223: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']) &gt;= 1">(SeriesAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']) &lt;= 1">(SeriesAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:id[not(@extension)]) &gt;= 1">(SeriesAct): element cda:id[not(@extension)] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(SeriesAct): element cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(SeriesAct): element cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:text) &lt;= 1">(SeriesAct): element cda:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(SeriesAct): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]) &gt;= 1">(SeriesAct): element cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']"
         id="d42e16595-false-d243404e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.63')">CONF:81-10919: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.63'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:id[not(@extension)]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:id[not(@extension)]"
         id="d42e16611-false-d243418e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="@root">CONF:81-9225: attribute @root SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="not(@extension)">(SeriesAct): attribute @extension MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e16633-false-d243436e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SeriesAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="@nullFlavor or (@code='113015' and @codeSystem='1.2.840.10008.2.16.4')">(SeriesAct): The element value SHALL be one of 'code '113015' codeSystem '1.2.840.10008.2.16.4''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]) &gt;= 1">(SeriesAct): element cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]) &lt;= 1">(SeriesAct): element cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]/cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]/cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]"
         id="d42e16642-false-d243462e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(SeriesAct): element cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(SeriesAct): element cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(SeriesAct): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="count(cda:value) &lt;= 1">(SeriesAct): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]/cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]/cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (SeriesAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]/cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]/cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e16649-false-d243488e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="@nullFlavor or (@code='121139' and @codeSystem='1.2.840.10008.2.16.4')">(SeriesAct): The element value SHALL be one of 'code '121139' codeSystem '1.2.840.10008.2.16.4''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="string(@code) = ('121139')">CONF:81-26464: The value for code SHALL be '121139'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="string(@codeSystem) = ('1.2.840.10008.2.16.4')">CONF:81-26465: The value for codeSystem SHALL be '1.2.840.10008.2.16.4'. Found: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:code[(@code = '113015' and @codeSystem = '1.2.840.10008.2.16.4')]/cda:qualifier[cda:name[(@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4') or (@code = '121139' and @codeSystem = '1.2.840.10008.2.16.4')]]/cda:value
Item: (SeriesAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:text
Item: (SeriesAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:effectiveTime
Item: (SeriesAct)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.63
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]
Item: (SeriesAct)
-->
   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.63']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.63-2015-08-13T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:81-9238: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
