<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.9
Name: Reaction Observation (V2)
Description: 
                 This clinical statement represents the response to an undesired symptom, finding, etc. due to administered or exposed substance. A reaction can be defined described with respect to its severity, and can have been treated by one or more interventions. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000">
   <title>Reaction Observation (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]
Item: (ReactionObservationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]"
         id="d42e16843-false-d244080e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@classCode) = ('OBS')">CONF:1098-7325: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-7326: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9']) &gt;= 1">(ReactionObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9']) &lt;= 1">(ReactionObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']) &gt;= 1">(ReactionObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']) &lt;= 1">(ReactionObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(ReactionObservationV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(ReactionObservationV2): element cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(ReactionObservationV2): element cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(ReactionObservationV2): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(ReactionObservationV2): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(ReactionObservationV2): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ReactionObservationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ReactionObservationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]) &lt;= 1">(ReactionObservationV2): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9']
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9']"
         id="d42e16861-false-d244281e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.9')">(ReactionObservationV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.9'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']"
         id="d42e16871-false-d244296e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.9')">CONF:1098-10523: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.9'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32504: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32504: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:id
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:id"
         id="d42e16895-false-d244317e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d42e16904-false-d244328e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(ReactionObservationV2): The element value SHALL be one of 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']"
         id="d42e16914-false-d244345e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(ReactionObservationV2): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:effectiveTime
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:effectiveTime"
         id="d42e16924-false-d244361e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:low) &lt;= 1">(ReactionObservationV2): element cda:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="count(cda:high) &lt;= 1">(ReactionObservationV2): element cda:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:effectiveTime/cda:low
Item: (ReactionObservationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:effectiveTime/cda:high
Item: (ReactionObservationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ReactionObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e16948-false-d244403e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ReactionObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ReactionObservationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:entryRelationship[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]
Item: (ReactionObservationV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:entryRelationship[cda:procedure[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.14'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:1098-7338: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-7343: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:entryRelationship[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]
Item: (ReactionObservationV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:entryRelationship[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:1098-7341: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-7344: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.9
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]
Item: (ReactionObservationV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:1098-7581: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.9-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-10375: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
