<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.10
Name: Referenced Frames Observation
Description: A Referenced Frames Observation is used if the referenced DICOM SOP instance is a multiframe image and the reference does not apply to all frames. The list of integer values for the referenced frames of a DICOM multiframe image SOP instance is contained in a Boundary Observation nested inside this class.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000">
   <title>Referenced Frames Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.10
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]
Item: (ReferencedFramesObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.10
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]
Item: (ReferencedFramesObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]"
         id="d42e17345-false-d245686e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="string(@classCode) = ('ROIBND')">CONF:81-9276: The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9277: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']) &gt;= 1">(ReferencedFramesObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']) &lt;= 1">(ReferencedFramesObservation): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="count(cda:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(ReferencedFramesObservation): element cda:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="count(cda:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(ReferencedFramesObservation): element cda:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]) &gt;= 1">(ReferencedFramesObservation): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]) &lt;= 1">(ReferencedFramesObservation): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.10
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']
Item: (ReferencedFramesObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']"
         id="d42e17363-false-d245731e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ReferencedFramesObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.10')">(ReferencedFramesObservation): The value for root SHALL be '2.16.840.1.113883.10.20.6.2.10'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.10
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]/cda:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (ReferencedFramesObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]/cda:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e17371-false-d245746e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ReferencedFramesObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4')">(ReferencedFramesObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.10
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]
Item: (ReferencedFramesObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.10']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.11']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.6.2.10-2015-08-13T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:81-9280: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
