<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.10
Name: IPS Result Observation
Description: This generic template is the basic set of constraints, which apply to any kind of observation grouped in a Result Organizer. The IPS Result Observation template is generic. It is further specialized by child templates, which  constrain  clinical laboratory observations or radiology observations or anatomic pathology observations. The generic IPS Result Observation template is usable in a patient summary for observations, which do not fall within one of the specialized categories.   The result observation includes a
      statusCode to allow recording the status of an observation. “Pending” results (e.g., a test has been run but results have not been reported yet) should be represented as “active” ActStatus. However, in most cases, observations selected for an international patient summary are  results that are final and approved, and thus, have a "completed" statusCode. The result of the observation may be commented through an entryRelationship introducing an "IPS Comment activity" tem
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.10-2017-03-02T000000">
   <title>IPS Result Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]
Item: (IPSResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]"
         id="d42e21140-false-d267131e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="string(@classCode) = ('OBS')">(IPSResultObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSResultObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']) &gt;= 1">(IPSResultObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']) &lt;= 1">(IPSResultObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &gt;= 1">(IPSResultObservation): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt;= 1">(IPSResultObservation): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)]) &gt;= 1">(IPSResultObservation): element hl7:statusCode[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)]) &lt;= 1">(IPSResultObservation): element hl7:statusCode[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSResultObservation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSResultObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='CE.IPS'] | hl7:value[@xsi:type='PQ'] | hl7:value[@xsi:type='IVL_PQ'] | hl7:value[@xsi:type='ST'] | hl7:value[@xsi:type='TS'] | hl7:value[@xsi:type='RTO_QTY_QTY'])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="$elmcount &gt;= 1">(IPSResultObservation): choice (hl7:value[@xsi:type='CE.IPS']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSResultObservation): choice (hl7:value[@xsi:type='CE.IPS']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[@xsi:type='CE.IPS']) &lt;= 1">(IPSResultObservation): element hl7:value[@xsi:type='CE.IPS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[@xsi:type='PQ']) &lt;= 1">(IPSResultObservation): element hl7:value[@xsi:type='PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[@xsi:type='IVL_PQ']) &lt;= 1">(IPSResultObservation): element hl7:value[@xsi:type='IVL_PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[@xsi:type='ST']) &lt;= 1">(IPSResultObservation): element hl7:value[@xsi:type='ST'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[@xsi:type='TS']) &lt;= 1">(IPSResultObservation): element hl7:value[@xsi:type='TS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[@xsi:type='RTO_QTY_QTY']) &lt;= 1">(IPSResultObservation): element hl7:value[@xsi:type='RTO_QTY_QTY'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSResultObservation): element hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:targetSiteCode) &lt;= 1">(IPSResultObservation): element hl7:targetSiteCode appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']"
         id="d42e21146-false-d267259e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.10')">(IPSResultObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.10'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:id
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:id"
         id="d42e21151-false-d267273e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d42e21153-false-d267286e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.38-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(IPSResultObservation): The element value SHALL be one of '2.16.840.1.113883.11.22.38 IPS Results Observation (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:statusCode[not(@nullFlavor)]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:statusCode[not(@nullFlavor)]"
         id="d42e21159-false-d267306e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:effectiveTime
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:effectiveTime"
         id="d42e21161-false-d267316e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='CE.IPS']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='CE.IPS']"
         id="d42e21165-false-d267324e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='PQ']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='PQ']"
         id="d42e21178-false-d267332e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSResultObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSResultObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='IVL_PQ']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='IVL_PQ']"
         id="d42e21189-false-d267345e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_PQ')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSResultObservation): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSResultObservation): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSResultObservation): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='ST']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='ST']"
         id="d42e21202-false-d267360e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='TS']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='TS']"
         id="d42e21211-false-d267368e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="not(*)">(IPSResultObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='RTO_QTY_QTY']
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:value[@xsi:type='RTO_QTY_QTY']"
         id="d42e21220-false-d267379e0">
      <extends rule="RTO_QTY_QTY"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'RTO_QTY_QTY')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO_QTY_QTY". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e21234-false-d267392e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSResultObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:targetSiteCode
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:targetSiteCode"
         id="d42e21239-false-d267415e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]"
         id="d42e21247-false-d267804e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &gt;= 1">(IPSResultObservation): element hl7:observationRange[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &lt;= 1">(IPSResultObservation): element hl7:observationRange[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]"
         id="d42e21249-false-d267820e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:code) = 0">(IPSResultObservation): element hl7:code MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(IPSResultObservation): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(IPSResultObservation): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="count(hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]) &lt;= 1">(IPSResultObservation): element hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code"
         id="d42e21251-false-d267849e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]"
         id="d42e21253-false-d267859e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]
Item: (IPSResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]"
         id="d42e21255-false-d267868e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(IPSResultObservation): The element value SHALL be one of 'code 'N' codeSystem '2.16.840.1.113883.5.83''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.10
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]
Item: (IPSResultObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.10-2017-03-02T000000.html"
              test="string(@typeCode) = ('COMP')">(IPSResultObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
