<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.16
Name: IPS Immunization Medication Information
Description: The Immunization Medication Information represents product information about the immunization substance. The vaccine manufacturer and vaccine lot number are typically recorded in the medical record and should be included if known.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.16-2017-03-08T000000">
   <title>IPS Immunization Medication Information</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]
Item: (IPSImmunizationMedicationInformation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]
Item: (IPSImmunizationMedicationInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]"
         id="d42e22042-false-d270582e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="string(@classCode) = ('MANU')">(IPSImmunizationMedicationInformation): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']) &gt;= 1">(IPSImmunizationMedicationInformation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']) &lt;= 1">(IPSImmunizationMedicationInformation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:manufacturedMaterial) &gt;= 1">(IPSImmunizationMedicationInformation): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:manufacturedMaterial) &lt;= 1">(IPSImmunizationMedicationInformation): element hl7:manufacturedMaterial appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']) &lt;= 1">(IPSImmunizationMedicationInformation): element hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']
Item: (IPSImmunizationMedicationInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']"
         id="d42e22046-false-d270632e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSImmunizationMedicationInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.16')">(IPSImmunizationMedicationInformation): The value for root SHALL be '2.16.840.1.113883.10.22.4.16'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial
Item: (IPSImmunizationMedicationInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial"
         id="d42e22051-false-d270651e0">
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:code) &lt; 1">(IPSImmunizationMedicationInformation): element hl7:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSImmunizationMedicationInformation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="count(hl7:lotNumberText) &lt;= 1">(IPSImmunizationMedicationInformation): element hl7:lotNumberText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial/hl7:code
Item: (IPSImmunizationMedicationInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial/hl7:code"
         id="d42e22053-false-d270683e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSImmunizationMedicationInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial/hl7:code/hl7:translation
Item: (IPSImmunizationMedicationInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial/hl7:code/hl7:translation"
         id="d42e22059-false-d270704e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSImmunizationMedicationInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (IPSImmunizationMedicationInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturedMaterial/hl7:lotNumberText"
         id="d42e22065-false-d270714e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.16-2017-03-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSImmunizationMedicationInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (IPSImmunizationMedicationInformation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@classCode) = ('ORG')">(IPSCDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(IPSCDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSCDAOrganization): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSCDAOrganization): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:name) &lt;= 1">(IPSCDAOrganization): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:telecom) &gt;= 1">(IPSCDAOrganization): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:addr) &gt;= 1">(IPSCDAOrganization): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:addr) &lt;= 1">(IPSCDAOrganization): element hl7:addr appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:id
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:telecom
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="@use">(IPSCDAOrganization): attribute @use SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.201-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(IPSCDAOrganization): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.201' TelecommunicationAddressUse (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10637-2005-05-01T000000.xml')/*/valueSet/conceptList/concept/@code))])">(IPSCDAOrganization): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.10637' PostalAddressUse (2005-05-01T00:00:00).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@nullFlavor) = ('NI') or not(@nullFlavor)">(IPSCDAOrganization): The value for nullFlavor SHALL be 'NI'. Found: "<value-of select="@nullFlavor"/>"</assert>
      <extends rule="AD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:city) &lt;= 1">(IPSCDAOrganization): element hl7:city appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:postalCode) &lt;= 1">(IPSCDAOrganization): element hl7:postalCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:state) &lt;= 1">(IPSCDAOrganization): element hl7:state appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:country) &lt;= 1">(IPSCDAOrganization): element hl7:country appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="@nullFlavor or hl7:*">(IPSCDAOrganization): If addr is not nullflavored at least one sub element has to be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="hl7:streetAddressLine and (hl7:city or hl7:postalCode)">(IPSCDAOrganization): If the address line is included either the city or the zip code has to be provided</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:streetAddressLine
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:streetAddressLine">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:city
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:city">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:postalCode
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:postalCode">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:state
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:state">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:country
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.16']]/hl7:manufacturerOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:country">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
