<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.25
Name: IPS Severity Observation
Description: This clinical statement represents the subjective assessment of the severity of the condition as evaluated by the clinician. 
                 The Severity Observation can be associated with a Reaction Observation.  When the Severity Observation is associated with a Reaction Observation it characterizes a reaction. A person may manifest many symptoms in a reaction to a single substance, and each reaction to the substance can be represented. However, each reaction observation can have only one severity observation associated with it. For example, someone may have a rash reaction observation as well as an itching reaction observation, but each can have only one level of
      severity.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.25-2017-04-07T000000">
   <title>IPS Severity Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]
Item: (EntrySeverity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]"
         id="d42e22939-false-d273823e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(EntrySeverity): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="string(@moodCode) = ('EVN')">(EntrySeverity): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']) &gt;= 1">(EntrySeverity): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']) &lt;= 1">(EntrySeverity): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(EntrySeverity): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(EntrySeverity): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:text) &lt;= 1">(EntrySeverity): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(EntrySeverity): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(EntrySeverity): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(EntrySeverity): element hl7:value is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(EntrySeverity): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']"
         id="d42e22945-false-d273890e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.25')">(EntrySeverity): The value for root SHALL be '2.16.840.1.113883.10.22.4.25'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:id
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:id"
         id="d42e22950-false-d273904e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e22952-false-d273917e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20386-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(EntrySeverity): The element value SHALL be one of '2.16.840.1.113883.1.11.20386 SeverityObservationCode (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:text
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:text"
         id="d42e22958-false-d273937e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(EntrySeverity): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(EntrySeverity): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e22969-false-d273956e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="@value">(EntrySeverity): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:statusCode[@code = 'completed']
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:statusCode[@code = 'completed']"
         id="d42e22979-false-d273971e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="@nullFlavor or (@code='completed')">(EntrySeverity): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (EntrySeverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e22984-false-d273990e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(EntrySeverity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.25-2017-04-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.18-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(EntrySeverity): The element value SHALL be one of '2.16.840.1.113883.11.22.18 Problem Severity (DYNAMIC)'.</assert>
   </rule>
</pattern>
