<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.35
Name: IPS Social History Alcohol Use
Description: This template is a specialization of the Social History Observation that may be used to represent alcohol consumption habits.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.35-2017-06-29T000000">
   <title>IPS Social History Alcohol Use</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]"
         id="d42e24649-false-d275229e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="string(@classCode) = ('OBS')">(IPSSocialHistoryObsAlcoholUse): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSSocialHistoryObsAlcoholUse): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']) &gt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']) &lt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt; 1">(IPSSocialHistoryObsAlcoholUse): element hl7:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')]) &gt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="count(hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')]) &lt;= 1">(IPSSocialHistoryObsAlcoholUse): element hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']"
         id="d42e24655-false-d275293e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSocialHistoryObsAlcoholUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.35')">(IPSSocialHistoryObsAlcoholUse): The value for root SHALL be '2.16.840.1.113883.10.22.4.35'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:id
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:id"
         id="d42e24660-false-d275307e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSocialHistoryObsAlcoholUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e24662-false-d275318e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSocialHistoryObsAlcoholUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="@nullFlavor or (@code='74013-4' and @codeSystem='2.16.840.1.113883.6.1')">(IPSSocialHistoryObsAlcoholUse): The element value SHALL be one of 'code '74013-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]/hl7:translation
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:statusCode[@code = 'completed']
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:statusCode[@code = 'completed']"
         id="d42e24670-false-d275346e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSSocialHistoryObsAlcoholUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="@nullFlavor or (@code='completed')">(IPSSocialHistoryObsAlcoholUse): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:effectiveTime
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:effectiveTime"
         id="d42e24675-false-d275362e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSSocialHistoryObsAlcoholUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')]
Item: (IPSSocialHistoryObsAlcoholUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.35']]/hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')]"
         id="d42e24677-false-d275372e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSSocialHistoryObsAlcoholUse): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSSocialHistoryObsAlcoholUse): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3')">(IPSSocialHistoryObsAlcoholUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.35-2017-06-29T000000.html"
              test="string(@unit) = ('/d')">(IPSSocialHistoryObsAlcoholUse): The value for unit SHALL be '/d'. Found: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
