<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.36
Name: IPS Pregnancy Observation
Description: 
                 A pregnancy observation is a Simple Observation that uses a specific vocabulary to record observations about a patient's current or historical pregnancies. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.36-2020-05-07T183637">
   <title>IPS Pregnancy Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]
Item: (IPSPregnancyObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]
Item: (IPSPregnancyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]"
         id="d42e24719-false-d275411e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="string(@moodCode) = ('EVN')">(IPSPregnancyObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']) &gt;= 1">(IPSPregnancyObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']) &lt;= 1">(IPSPregnancyObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &gt;= 1">(IPSPregnancyObservation): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &lt;= 1">(IPSPregnancyObservation): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(IPSPregnancyObservation): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(IPSPregnancyObservation): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSPregnancyObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="count(hl7:value) &gt;= 1">(IPSPregnancyObservation): element hl7:value is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']
Item: (IPSPregnancyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']"
         id="d42e24723-false-d275463e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPregnancyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.36')">(IPSPregnancyObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.36'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']
Item: (IPSPregnancyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']"
         id="d42e24728-false-d275478e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPregnancyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(IPSPregnancyObservation): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (IPSPregnancyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e24733-false-d275493e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSPregnancyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="@nullFlavor or (@code='completed')">(IPSPregnancyObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:effectiveTime
Item: (IPSPregnancyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:effectiveTime"
         id="d42e24738-false-d275509e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.36-2020-05-07T183637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSPregnancyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:value
Item: (IPSPregnancyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.36']]/hl7:value"
         id="d42e24750-false-d275519e0">
      <extends rule="ANY"/>
   </rule>
</pattern>
