<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.37
Name: IPS Advance Directive Observation
Description: This clinical statement represents Advance Directive Observation findings (e.g., “resuscitation status is Full Code”) rather than orders. It should not be considered a legal document or a substitute for the actual Advance Directive document. The related legal documents are referenced using the reference/externalReference element. The Advance Directive Observation
                describes the patient’s directives, including but not limited to: • Medications • Transfer of Care to Hospital • Treatment • Procedures • Intubation and Ventilation • Diagnostic Tests • Tests The observation/value element contains the detailed patient directive which may be coded or text. For example, a category directive may be antibiotics, and the details would be intravenous
                antibiotics only. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.37-2020-05-08T162154">
   <title>IPS Advance Directive Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]
Item: (IPSAdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]"
         id="d42e24848-false-d275549e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@classCode) = ('OBS')">(IPSAdvanceDirectiveObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@moodCode) = ('EVN')">(IPSAdvanceDirectiveObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSX"
              role="information"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(IPSAdvanceDirectiveObservation): element hl7:code is coded with binding strength 'example' and is not checked.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']"
         id="d42e24854-false-d275626e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.37')">(IPSAdvanceDirectiveObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.37'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:id
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:id"
         id="d42e24859-false-d275640e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e24861-false-d275653e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSAdvanceDirectiveObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.20.2 AdvanceDirectiveTypeCode (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:statusCode[@code = 'completed']
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:statusCode[@code = 'completed']"
         id="d42e24867-false-d275674e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="@nullFlavor or (@code='completed')">(IPSAdvanceDirectiveObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:effectiveTime
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:effectiveTime"
         id="d42e24872-false-d275690e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:low) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:low) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:high) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:high) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:effectiveTime/hl7:low
Item: (IPSAdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:effectiveTime/hl7:high
Item: (IPSAdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:value[not(@nullFlavor)]
Item: (IPSAdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:author
Item: (IPSAdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']"
         id="d42e24890-false-d275747e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@typeCode) = ('VRF')">(IPSAdvanceDirectiveObservation): The value for typeCode SHALL be 'VRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:time) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:participantRole[not(@nullFlavor)]) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:participantRole[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:participantRole[not(@nullFlavor)]) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:participantRole[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:time
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:time"
         id="d42e24894-false-d275773e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="not(*)">(IPSAdvanceDirectiveObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]"
         id="d42e24896-false-d275786e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:code) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:playingEntity) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:playingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:code
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:code"
         id="d42e24898-false-d275810e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:addr
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:addr"
         id="d42e24900-false-d275820e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:playingEntity
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:playingEntity"
         id="d42e24902-false-d275830e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:code) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:name) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:name) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:playingEntity/hl7:code
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:playingEntity/hl7:code"
         id="d42e24904-false-d275852e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:playingEntity/hl7:name
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='VRF']/hl7:participantRole[not(@nullFlavor)]/hl7:playingEntity/hl7:name"
         id="d42e24906-false-d275862e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']"
         id="d42e24911-false-d275870e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@typeCode) = ('CST')">(IPSAdvanceDirectiveObservation): The value for typeCode SHALL be 'CST'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]"
         id="d42e24915-false-d275890e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@classCode) = ('AGNT')">(IPSAdvanceDirectiveObservation): The value for classCode SHALL be 'AGNT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:code) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:addr) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:addr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:playingEntity[not(@nullFlavor)][hl7:name]) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:playingEntity[not(@nullFlavor)][hl7:name] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:playingEntity[not(@nullFlavor)][hl7:name]) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:playingEntity[not(@nullFlavor)][hl7:name] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:code
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:code"
         id="d42e24919-false-d275926e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:addr
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:addr"
         id="d42e24921-false-d275936e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:telecom
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:telecom"
         id="d42e24923-false-d275946e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:playingEntity[not(@nullFlavor)][hl7:name]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:playingEntity[not(@nullFlavor)][hl7:name]"
         id="d42e24925-false-d275956e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:code) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:name) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:name) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:playingEntity[not(@nullFlavor)][hl7:name]/hl7:code
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:playingEntity[not(@nullFlavor)][hl7:name]/hl7:code"
         id="d42e24927-false-d275978e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:participant[@typeCode='CST']/hl7:participantRole[not(@nullFlavor)][@classCode = 'AGNT'][hl7:playingEntity]/hl7:playingEntity[not(@nullFlavor)][hl7:name]/hl7:name
Item: (IPSAdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]"
         id="d42e24935-false-d275996e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="string(@typeCode) = ('REFR')">(IPSAdvanceDirectiveObservation): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:externalDocument[not(@nullFlavor)]) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:externalDocument[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:externalDocument[not(@nullFlavor)]) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:externalDocument[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]"
         id="d42e24939-false-d276016e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:id) &gt;= 1">(IPSAdvanceDirectiveObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:text) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:id
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:id"
         id="d42e24941-false-d276036e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text
Item: (IPSAdvanceDirectiveObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text"
         id="d42e24943-false-d276046e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.37-2020-05-08T162154.html"
              test="count(hl7:reference) &lt;= 1">(IPSAdvanceDirectiveObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.37
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]/hl7:reference[@typeCode = 'REFR'][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text/hl7:reference
Item: (IPSAdvanceDirectiveObservation)
-->
</pattern>
