<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.38
Name: IPS Planned Procedure
Description: The procedure entry is used to record procedures which are planned for in the future.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.38-2020-05-08T173848">
   <title>IPS Planned Procedure</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]
Item: (IPSPlannedProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]"
         id="d42e25000-false-d276096e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="string(@classCode) = ('PROC')">(IPSPlannedProcedure): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="@moodCode">(IPSPlannedProcedure): attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (('INT','RQO')))])">(IPSPlannedProcedure): The value for moodCode SHALL be 'code INT or code RQO'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']) &gt;= 1">(IPSPlannedProcedure): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']) &lt;= 1">(IPSPlannedProcedure): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:code) &lt; 1">(IPSPlannedProcedure): element hl7:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:code) &lt;= 1">(IPSPlannedProcedure): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:text) &lt;= 1">(IPSPlannedProcedure): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(IPSPlannedProcedure): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(IPSPlannedProcedure): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSPlannedProcedure): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']"
         id="d42e25011-false-d276185e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.38')">(IPSPlannedProcedure): The value for root SHALL be '2.16.840.1.113883.10.22.4.38'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:id
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:id"
         id="d42e25016-false-d276199e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:code
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:code"
         id="d42e25018-false-d276212e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:text
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:text"
         id="d42e25024-false-d276226e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSPlannedProcedure): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSPlannedProcedure): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e25035-false-d276245e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="@value">(IPSPlannedProcedure): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="not(@value) or string-length(@value)&gt;0">(IPSPlannedProcedure): Attribute @value SHALL be of data type 'st'  - '<value-of select="@value"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e25045-false-d276264e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.22-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(IPSPlannedProcedure): The element value SHALL be one of '2.16.840.1.113883.11.22.22 ActStatusActiveCompletedAbortedCancelled (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:effectiveTime
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:effectiveTime"
         id="d42e25050-false-d276284e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:targetSiteCode
Item: (IPSPlannedProcedure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:targetSiteCode"
         id="d42e25052-false-d276297e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPlannedProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.38
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]
Item: (IPSPlannedProcedure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="string(@typeCode) = ('COMP')">(IPSPlannedProcedure): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.38-2020-05-08T173848.html"
              test="string(@inversionInd) = ('true')">(IPSPlannedProcedure): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.31
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]
Item: (IPSEntryInternalReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.31
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]
Item: (IPSEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="string(@classCode) = ('ACT')">(IPSEntryInternalReference): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="@moodCode">(IPSEntryInternalReference): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(IPSEntryInternalReference): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <let name="refMoodCode" value="@moodCode"/>
      <let name="refID" value="concat(hl7:id[1]/@root,'#',hl7:id[1]/@extension)"/>
      <let name="refCode"
           value="concat(hl7:code[1]/@code,'#',hl7:code[1]/@codeSystem)"/>
      <let name="reffedObject"
           value="(ancestor::hl7:ClinicalDocument//*:id[concat(@root,'#',@extension)=$refID][not(preceding-sibling::hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1')]/parent::*)[1]"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="not(exists($reffedObject)) or $reffedObject[@moodCode=$refMoodCode]">(IPSEntryInternalReference): The @moodCode of the reference SHALL match the @moodCode of the referenced element</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="exists($reffedObject)">(IPSEntryInternalReference): The root and extension attributes SHALL identify an element defined elsewhere in the same document.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="not(exists($reffedObject)) or ($reffedObject[not(*:code/@code)] and hl7:code[@nullFlavor='NA']) or $reffedObject/*:code[concat(@code,'#',@codeSystem)=$refCode]">(IPSEntryInternalReference): The code of the reference SHALL match the code of the referenced element</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']) &gt;= 1">(IPSEntryInternalReference): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']) &lt;= 1">(IPSEntryInternalReference): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSEntryInternalReference): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="count(hl7:id) &lt;= 1">(IPSEntryInternalReference): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="count(hl7:code) &gt;= 1">(IPSEntryInternalReference): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSEntryInternalReference): element hl7:code appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.31
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']
Item: (IPSEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.31')">(IPSEntryInternalReference): The value for root SHALL be '2.16.840.1.113883.10.22.4.31'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.31
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]/hl7:id
Item: (IPSEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.31
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]/hl7:code
Item: (IPSEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.38']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.31']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.31-2017-05-02T000000.html"
              test="string(@nullFlavor) = ('NA') or not(@nullFlavor)">(IPSEntryInternalReference): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
</pattern>
