<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.40
Name: IPS Planned Encounter
Description: 
                 An Encounter is an interaction between a patient and care provider(s) for the purpose of providing healthcare-related service(s). Healthcare services include health assessment. Examples: outpatient visit to multiple departments, home health support (including physical therapy), inpatient hospital stay, emergency room visit, field visit (e.g., traffic accident), office visit, occupational therapy, or telephone call. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.40-2020-05-08T181838">
   <title>IPS Planned Encounter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]
Item: (IPSPlannedEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]"
         id="d42e25510-false-d279467e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="string(@classCode) = ('ENC') or not(@classCode)">(IPSPlannedEncounter): The value for classCode SHALL be 'ENC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="@moodCode">(IPSPlannedEncounter): attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (('APT','ARQ','PRP')))])">(IPSPlannedEncounter): The value for moodCode SHALL be 'code APT or code ARQ or code PRP'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']) &gt;= 1">(IPSPlannedEncounter): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']) &lt;= 1">(IPSPlannedEncounter): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:code) &gt;= 1">(IPSPlannedEncounter): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:code) &lt;= 1">(IPSPlannedEncounter): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:text) &lt;= 1">(IPSPlannedEncounter): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSPlannedEncounter): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:priorityCode) &lt;= 1">(IPSPlannedEncounter): element hl7:priorityCode appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']"
         id="d42e25523-false-d279547e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.40')">(IPSPlannedEncounter): The value for root SHALL be '2.16.840.1.113883.10.22.4.40'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:id
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:id"
         id="d42e25528-false-d279561e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:code
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:code"
         id="d42e25530-false-d279571e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:text
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:text"
         id="d42e25533-false-d279581e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSPlannedEncounter): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSPlannedEncounter): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e25552-false-d279600e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="@value">(IPSPlannedEncounter): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:effectiveTime
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:effectiveTime"
         id="d42e25562-false-d279614e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:priorityCode
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:priorityCode"
         id="d42e25564-false-d279624e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSPlannedEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:performer
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:performer"
         id="d42e25566-false-d279634e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:time) &lt;= 1">(IPSPlannedEncounter): element hl7:time appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:performer/hl7:time
Item: (IPSPlannedEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]"
         id="d42e25571-false-d279656e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="string(@typeCode) = ('LOC')">(IPSPlannedEncounter): The value for typeCode SHALL be 'LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]) &gt;= 1">(IPSPlannedEncounter): element hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]) &lt;= 1">(IPSPlannedEncounter): element hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]"
         id="d42e25575-false-d279676e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="string(@classCode) = ('SDLOC')">(IPSPlannedEncounter): The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:code) &lt;= 1">(IPSPlannedEncounter): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name]) &gt;= 1">(IPSPlannedEncounter): element hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name]) &lt;= 1">(IPSPlannedEncounter): element hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:id
Item: (IPSPlannedEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:code
Item: (IPSPlannedEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:addr
Item: (IPSPlannedEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:telecom
Item: (IPSPlannedEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name]
Item: (IPSPlannedEncounter)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name]"
         id="d42e25588-false-d279746e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="string(@classCode) = ('PLC')">(IPSPlannedEncounter): The value for classCode SHALL be 'PLC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.40-2020-05-08T181838.html"
              test="count(hl7:name) &gt;= 1">(IPSPlannedEncounter): element hl7:name is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.40
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.40']]/hl7:participant[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[not(@nullFlavor)][@classCode = 'SDLOC'][hl7:playingEntity[@classCode = 'PLC']]/hl7:playingEntity[not(@nullFlavor)][@classCode = 'PLC'][hl7:name]/hl7:name
Item: (IPSPlannedEncounter)
-->
</pattern>
