<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.41
Name: IPS Planned Observation
Description: The observation request entry is used to record goals, plans or intention for an observation to be performed (e.g., assessment, laboratory test, imaging study, et cetera).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.41-2020-05-08T183442">
   <title>IPS Planned Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]
Item: (IPSPlannedObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]"
         id="d42e25651-false-d279791e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="string(@classCode) = ('OBS')">(IPSPlannedObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="@moodCode">(IPSPlannedObservation): attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (('INT','PRP','GOL')))])">(IPSPlannedObservation): The value for moodCode SHALL be 'code INT or code PRP or code GOL'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']) &gt;= 1">(IPSPlannedObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']) &lt;= 1">(IPSPlannedObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:code) &gt;= 1">(IPSPlannedObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:code) &lt;= 1">(IPSPlannedObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:text) &lt;= 1">(IPSPlannedObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:statusCode[not(@nullFlavor)]) &gt;= 1">(IPSPlannedObservation): element hl7:statusCode[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:statusCode[not(@nullFlavor)]) &lt;= 1">(IPSPlannedObservation): element hl7:statusCode[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSPlannedObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']"
         id="d42e25664-false-d279881e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.41')">(IPSPlannedObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.41'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:id
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:id"
         id="d42e25669-false-d279895e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:code
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:code"
         id="d42e25671-false-d279905e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:text
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:text"
         id="d42e25674-false-d279915e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSPlannedObservation): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSPlannedObservation): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e25693-false-d279934e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="@value">(IPSPlannedObservation): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:statusCode[not(@nullFlavor)]
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:statusCode[not(@nullFlavor)]"
         id="d42e25703-false-d279948e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:effectiveTime
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:effectiveTime"
         id="d42e25705-false-d279958e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:value
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:value"
         id="d42e25707-false-d279968e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:methodCode
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:methodCode"
         id="d42e25709-false-d279976e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:targetSiteCode
Item: (IPSPlannedObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:targetSiteCode"
         id="d42e25711-false-d279986e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.41-2020-05-08T183442.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPlannedObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.41
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.41']]/hl7:author
Item: (IPSPlannedObservation)
-->
</pattern>
