<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.43
Name: IPS Survey Observation
Description: 
                 Survey observations are used to record responses to assessment instruments. They are simple observations conforming to the CCD Result template. The vocabulary and data type constraints on survey observations is specified elsewhere, either in the specializations of the survey observation template, or by the template that makes use of it. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.43-2020-05-08T190511">
   <title>IPS Survey Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]
Item: (IPSSurveyObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]"
         id="d42e25823-false-d280185e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="string(@classCode) = ('OBS')">(IPSSurveyObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="string(@moodCode) = ('EVN')">(IPSSurveyObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']) &gt;= 1">(IPSSurveyObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']) &lt;= 1">(IPSSurveyObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:code) &gt;= 1">(IPSSurveyObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:code) &lt;= 1">(IPSSurveyObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:value) &gt;= 1">(IPSSurveyObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:methodCode) = 0">(IPSSurveyObservation): element hl7:methodCode MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="count(hl7:targetSiteCode) = 0">(IPSSurveyObservation): element hl7:targetSiteCode MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']"
         id="d42e25829-false-d280241e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSurveyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.43')">(IPSSurveyObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.43'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:code
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:code"
         id="d42e25834-false-d280255e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSurveyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:value
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:value"
         id="d42e25836-false-d280265e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:interpretationCode
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:interpretationCode"
         id="d42e25839-false-d280273e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSSurveyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:methodCode
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:methodCode"
         id="d42e25841-false-d280283e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSSurveyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.43
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:targetSiteCode
Item: (IPSSurveyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]/hl7:targetSiteCode"
         id="d42e25843-false-d280293e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.43-2020-05-08T190511.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSurveyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
