<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.44
Name: IPS Vital Signs Organizer
Description: A vital signs organizer collects vital signs observations. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.44-2020-05-08T192739">
   <title>IPS Vital Signs Organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]
Item: (IPSVitalSignsOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]
Item: (IPSVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]"
         id="d42e25886-false-d280331e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="string(@moodCode) = ('EVN')">(IPSVitalSignsOrganizer): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="string(@classCode) = ('CLUSTER')">(IPSVitalSignsOrganizer): The value for classCode SHALL be 'CLUSTER'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']) &gt;= 1">(IPSVitalSignsOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']) &lt;= 1">(IPSVitalSignsOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IPSVitalSignsOrganizer): element hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IPSVitalSignsOrganizer): element hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSVitalSignsOrganizer): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSVitalSignsOrganizer): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSVitalSignsOrganizer): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]) &gt;= 1">(IPSVitalSignsOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']
Item: (IPSVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']"
         id="d42e25892-false-d280395e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.44')">(IPSVitalSignsOrganizer): The value for root SHALL be '2.16.840.1.113883.10.22.4.44'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:id
Item: (IPSVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:id"
         id="d42e25897-false-d280409e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IPSVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e25899-false-d280420e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="@nullFlavor or (@code='85353-1' and @codeSystem='2.16.840.1.113883.6.1')">(IPSVitalSignsOrganizer): The element value SHALL be one of 'code '85353-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:statusCode[@code = 'completed']
Item: (IPSVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:statusCode[@code = 'completed']"
         id="d42e25905-false-d280437e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="@nullFlavor or (@code='completed')">(IPSVitalSignsOrganizer): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:effectiveTime
Item: (IPSVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:effectiveTime"
         id="d42e25910-false-d280453e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.44
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]
Item: (IPSVitalSignsOrganizer)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.44']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.44-2020-05-08T192739.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(IPSVitalSignsOrganizer): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
