<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.45
Name: IPS Vital Signs Observation
Description: 
                 A vital signs observation is a simple observation that uses a specific vocabulary, and inherits  constraints from CCD. 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.45-2020-05-08T193132">
   <title>IPS Vital Signs Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]"
         id="d42e25919-false-d280488e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]) &gt;= 1">(IPSVitalSignsObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]) &lt;= 1">(IPSVitalSignsObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]"
         id="d42e25965-false-d280505e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']) &gt;= 1">(IPSVitalSignsObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']) &lt;= 1">(IPSVitalSignsObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt; 1">(IPSVitalSignsObservation): element hl7:code is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(IPSVitalSignsObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:text) &lt;= 1">(IPSVitalSignsObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:value) &gt;= 1">(IPSVitalSignsObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:value) &lt;= 1">(IPSVitalSignsObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']"
         id="d42e25967-false-d280559e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.45')">(IPSVitalSignsObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.45'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e25972-false-d280576e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSVitalSignsObservation): The element value SHALL be one of '2.16.840.1.113883.3.88.12.80.62 Vital Signs (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:text
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:text"
         id="d42e25977-false-d280596e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSVitalSignsObservation): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSVitalSignsObservation): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e25996-false-d280615e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="@value">(IPSVitalSignsObservation): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:value
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:value"
         id="d42e26006-false-d280629e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSVitalSignsObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSVitalSignsObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:interpretationCode
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:interpretationCode"
         id="d42e26008-false-d280644e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:methodCode
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:methodCode"
         id="d42e26011-false-d280654e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.45
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:targetSiteCode
Item: (IPSVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.45']]/hl7:targetSiteCode"
         id="d42e26013-false-d280664e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.45-2020-05-08T193132.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
