<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.46
Name: IPS Advance Directive Organizer
Description: This clinical statement groups a set of advance directive observations.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.46-2020-05-08T161148">
   <title>IPS Advance Directive Organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]
Item: (IPSAdvanceDirectiveOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]
Item: (IPSAdvanceDirectiveOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]"
         id="d42e26053-false-d280700e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="string(@classCode) = ('CLUSTER')">(IPSAdvanceDirectiveOrganizer): The value for classCode SHALL be 'CLUSTER'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="string(@moodCode) = ('EVN')">(IPSAdvanceDirectiveOrganizer): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']) &gt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']) &lt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:code[(@code = '45473-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:code[(@code = '45473-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:code[(@code = '45473-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:code[(@code = '45473-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]) &gt;= 1">(IPSAdvanceDirectiveOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']
Item: (IPSAdvanceDirectiveOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']"
         id="d42e26059-false-d280760e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdvanceDirectiveOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.46')">(IPSAdvanceDirectiveOrganizer): The value for root SHALL be '2.16.840.1.113883.10.22.4.46'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:id
Item: (IPSAdvanceDirectiveOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:id"
         id="d42e26064-false-d280774e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdvanceDirectiveOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:code[(@code = '45473-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IPSAdvanceDirectiveOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:code[(@code = '45473-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e26066-false-d280785e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="@nullFlavor or (@code='45473-6' and @codeSystem='2.16.840.1.113883.6.1')">(IPSAdvanceDirectiveOrganizer): The element value SHALL be one of 'code '45473-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:statusCode[@code = 'completed']
Item: (IPSAdvanceDirectiveOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:statusCode[@code = 'completed']"
         id="d42e26072-false-d280799e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSAdvanceDirectiveOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.46-2020-05-08T161148.html"
              test="@nullFlavor or (@code='completed')">(IPSAdvanceDirectiveOrganizer): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:author
Item: (IPSAdvanceDirectiveOrganizer)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.46
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.46']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.37']]]
Item: (IPSAdvanceDirectiveOrganizer)
--></pattern>
