<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.5
Name: IPS Allergy and Intolerance Concern
Description: This template reflects an ongoing concern on behalf of the person that placed the allergy on a patient’s allergy list. A concern may refer to one or more allergies or intolerances. There are different kinds of status that could be related to an allergy, or more in general to a condition:
         
                     The status of the concern (active, inactive,..)
           
                     The status of the condition (e.g. active, inactive, resolved,..)
           
                     The confirmation status [clinical workflow status, certainty] (e.g. confirmed, likely, unlikely,…)
           
                 
                 Not all of them can be represented in a CDA using the statusCode elements of the concern (ACT) and observation (condition). 
                 As long as the underlying condition is of concern to the author (i.e., as long as the allergy, whether active or resolved, is of ongoing concern and interest to the author), the statusCode is “active”. 
          
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.5-2016-11-11T000000">
   <title>IPS Allergy and Intolerance Concern</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]"
         id="d42e26352-false-d282158e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="string(@classCode) = ('ACT')">(IPSAllergyAndIntoleranceConcern): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSAllergyAndIntoleranceConcern): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']) &gt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']) &lt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &gt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]) &gt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']"
         id="d42e26358-false-d282234e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.5')">(IPSAllergyAndIntoleranceConcern): The value for root SHALL be '2.16.840.1.113883.10.22.4.5'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:id
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:id"
         id="d42e26363-false-d282248e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d42e26365-false-d282259e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(IPSAllergyAndIntoleranceConcern): The element value SHALL be one of 'code 'CONC' codeSystem '2.16.840.1.113883.5.6''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e26371-false-d282278e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(IPSAllergyAndIntoleranceConcern): The element value SHALL be one of '2.16.840.1.113883.1.11.19890 x_ActStatusActiveComplete (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:effectiveTime
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:effectiveTime"
         id="d42e26389-false-d282298e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:low) &gt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:low) &lt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="count(hl7:high) &lt;= 1">(IPSAllergyAndIntoleranceConcern): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:effectiveTime/hl7:low
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:effectiveTime/hl7:low"
         id="d42e26391-false-d282323e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:effectiveTime/hl7:high
Item: (IPSAllergyAndIntoleranceConcern)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:effectiveTime/hl7:high"
         id="d42e26397-false-d282333e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSAllergyAndIntoleranceConcern): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="not(../hl7:statusCode[@code='completed']) or hl7:high">(IPSAllergyAndIntoleranceConcern): If statusCode/@code="completed" Completed, then effectiveTime *SHALL* contain [1..1] high</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.5
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]
Item: (IPSAllergyAndIntoleranceConcern)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.5']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="string(@typeCode) = ('SUBJ')">(IPSAllergyAndIntoleranceConcern): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.5-2016-11-11T000000.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(IPSAllergyAndIntoleranceConcern): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
