<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.6
Name: IPS Reaction Manifestation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.6-2016-11-15T000000">
   <title>IPS Reaction Manifestation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]
Item: (IPSAdverseReactionMFST)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]"
         id="d42e26472-false-d282404e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(IPSAdverseReactionMFST): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSAdverseReactionMFST): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']) &gt;= 1">(IPSAdverseReactionMFST): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']) &lt;= 1">(IPSAdverseReactionMFST): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(IPSAdverseReactionMFST): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSAdverseReactionMFST): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:text) &lt;= 1">(IPSAdverseReactionMFST): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(IPSAdverseReactionMFST): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(IPSAdverseReactionMFST): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(IPSAdverseReactionMFST): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(IPSAdverseReactionMFST): element hl7:value is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSAdverseReactionMFST): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]) &lt;= 1">(IPSAdverseReactionMFST): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']"
         id="d42e26478-false-d282485e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.6')">(IPSAdverseReactionMFST): The value for root SHALL be '2.16.840.1.113883.10.22.4.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:id
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:id"
         id="d42e26483-false-d282499e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e26485-false-d282512e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.16-2017-04-07T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSAdverseReactionMFST): The element value SHALL be one of '2.16.840.1.113883.11.22.16 Problem Type (2017-04-07T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:text
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:text"
         id="d42e26499-false-d282530e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSAdverseReactionMFST): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSAdverseReactionMFST): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e26509-false-d282549e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="@value">(IPSAdverseReactionMFST): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e26519-false-d282564e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="@nullFlavor or (@code='completed')">(IPSAdverseReactionMFST): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e26530-false-d282580e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:low) &gt;= 1">(IPSAdverseReactionMFST): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:low) &lt;= 1">(IPSAdverseReactionMFST): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:high) &lt;= 1">(IPSAdverseReactionMFST): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d42e26543-false-d282605e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d42e26549-false-d282615e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e26563-false-d282628e0">
      <extends rule="CD.IPS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSAdverseReactionMFST): The element value SHALL be one of '2.16.840.1.113883.11.22.3 Allergy Reaction (2017-02-23T00:00:00)'.</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:originalText) &lt;= 1">(IPSAdverseReactionMFST): element hl7:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText"
         id="d42e26579-false-d282657e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="count(hl7:reference) &lt;= 1">(IPSAdverseReactionMFST): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText/hl7:reference
Item: (IPSAdverseReactionMFST)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation
Item: (IPSAdverseReactionMFST)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.3-2017-02-23T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation"
         id="d42e26599-false-d282679e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSAdverseReactionMFST): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.6
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]
Item: (IPSAdverseReactionMFST)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="string(@typeCode) = ('SUBJ')">(IPSAdverseReactionMFST): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.6-2016-11-15T000000.html"
              test="string(@inversionInd) = ('true')">(IPSAdverseReactionMFST): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
