<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.9
Name: IPS Result Organizer
Description: This template provides a mechanism for grouping result observations. It contains information applicable to all of the contained result observations. The Result Organizer code categorizes the contained results into one of several commonly accepted values (e.g., “Hematology”, “Chemistry”, “Nuclear Medicine”). If any Result Observation within the organizer has a statusCode of "active", the Result Organizer must also have a statusCode of "active". However, the results selected for a patient summary are most often final results, with status "completed". So in most cases, the statusCode of the Organizer is "completed". 
                 
                 The  result observations contained within the organizer may use either of these templates: 
                 
                     
                         Laboratory Result Observation 
                         
                         Radiology Result Observation 
                         
                         Pathology Result Observ
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.9-2017-03-02T000000">
   <title>IPS Result Organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]"
         id="d42e27413-false-d283777e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="@classCode">(IPSResultOrganizer): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="not(@classCode) or (string-length(@classCode) &gt; 0 and not(matches(@classCode,'\s')))">(IPSResultOrganizer): Attribute @classCode SHALL be of data type 'cs'  - '<value-of select="@classCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSResultOrganizer): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']) &gt;= 1">(IPSResultOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']) &lt;= 1">(IPSResultOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &gt;= 1">(IPSResultOrganizer): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &lt;= 1">(IPSResultOrganizer): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(IPSResultOrganizer): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(IPSResultOrganizer): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSResultOrganizer): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.13']]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]] | hl7:component[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]] | hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]] | hl7:component[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.23']]])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="$elmcount &gt;= 1">(IPSResultOrganizer): choice (hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.13']]]  or  hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]  or  hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]  or  hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]  or  hl7:component[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]  or  hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]  or  hl7:component[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.23']]]) does not contain enough elements [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']"
         id="d42e27419-false-d284106e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.9')">(IPSResultOrganizer): The value for root SHALL be '2.16.840.1.113883.10.22.4.9'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:id
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:id"
         id="d42e27424-false-d284120e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]"
         id="d42e27426-false-d284133e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.37-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(IPSResultOrganizer): The element value SHALL be one of '2.16.840.1.113883.11.22.37 IPS Results Organizer (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e27432-false-d284156e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(IPSResultOrganizer): The element value SHALL be one of '2.16.840.1.113883.1.11.19890 x_ActStatusActiveComplete (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:effectiveTime
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:effectiveTime"
         id="d42e27437-false-d284176e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:low) &lt;= 1">(IPSResultOrganizer): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="count(hl7:high) &lt;= 1">(IPSResultOrganizer): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:effectiveTime/hl7:low
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:effectiveTime/hl7:low"
         id="d42e27439-false-d284199e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:effectiveTime/hl7:high
Item: (IPSResultOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:effectiveTime/hl7:high"
         id="d42e27441-false-d284209e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.9-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]
Item: (CDAPerformerBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(CDAPerformerBody): The value for typeCode SHALL be 'PRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAPerformerBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAPerformerBody): element hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedEntity) &gt;= 1">(CDAPerformerBody): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedEntity) &lt;= 1">(CDAPerformerBody): element hl7:assignedEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:time
Item: (CDAPerformerBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:time">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(CDAPerformerBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAPerformerBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:modeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAPerformerBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAPerformerBody): The element value SHALL be one of '2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.323
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity
Item: (CDAPerformerBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(CDAPerformerBody): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:id) &gt;= 1">(CDAPerformerBody): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPerformerBody): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(CDAPerformerBody): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.323-2005-09-07T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(CDAPerformerBody): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.13']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.10']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]
Item: (IPSResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.9']]/hl7:component[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.23']]]
Item: (IPSResultOrganizer)
--></pattern>
