<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.14
Name: XeH Information Recipient
Description: ClinicalDocument/informationRecipient MAY be present. When present, it SHALL be in accordance with the HL7 CDA R2 standard and further constrained by this specification to require the presence of name (on the informationRecipient and/or receivedOrganization), addr and telecom. Additionally, it SHALL have the following:  
                     <templateId root="1.3.6.1.4.1.19376.1.3.3.1.4"/> - The templateId element identifies this participant as an intended recipient. The templateId SHALL have root="1.3.6.1.4.1.19376.1.3.3.1.4". 
                  The informationRecipient/intendedRecipient element can be multiple. It introduces an intended recipient of the laboratory report, other than the Ordering Provider (described as a referrer participant). These elements carry the list of the originally intended recipients of the laboratory report, i.e. those who were known at the time the report was created and published for
                sharing. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.14-2021-09-10T145936">
   <title>XeH Information Recipient</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]
Item: (XeHInformationRecipient)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]"
         id="d42e29497-false-d336861e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']) &gt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']) &lt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']) &gt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']) &lt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:intendedRecipient) &gt;= 1">(XeHInformationRecipient): element hl7:intendedRecipient is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:intendedRecipient) &lt;= 1">(XeHInformationRecipient): element hl7:intendedRecipient appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']"
         id="d42e29499-false-d336909e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.14')">(XeHInformationRecipient): The value for root SHALL be '2.16.840.1.113883.2.51.10.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']"
         id="d42e29504-false-d336924e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.67.10.15')">(XeHInformationRecipient): The value for root SHALL be '2.16.840.1.113883.3.1937.99.61.67.10.15'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId"
         id="d42e29509-false-d336938e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient"
         id="d42e29511-false-d336957e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:addr) &gt;= 1">(XeHInformationRecipient): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:telecom) &gt;= 1">(XeHInformationRecipient): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:informationRecipient) &lt;= 1">(XeHInformationRecipient): element hl7:informationRecipient appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:receivedOrganization) &lt;= 1">(XeHInformationRecipient): element hl7:receivedOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:id
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:id"
         id="d42e29513-false-d337002e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:addr
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:addr"
         id="d42e29515-false-d337012e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:telecom
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:telecom"
         id="d42e29517-false-d337022e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient
Item: (XeHInformationRecipient)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.18
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient
Item: (IHEPlayingEntityWithName)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.18-2016-07-05T000000.html"
              test="count(hl7:name) &gt;= 1">(IHEPlayingEntityWithName): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.18
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (IHEPlayingEntityWithName)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.18-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IHEPlayingEntityWithName): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization
Item: (XeHInformationRecipient)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:name) &gt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:telecom) &gt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:addr) &gt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:asOrganizationPartOf) &lt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(IHEOrganizationWithNameAddrTelecom): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IHEOrganizationWithNameAddrTelecom): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IHEOrganizationWithNameAddrTelecom): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:wholeOrganization) &lt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:name) &gt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:telecom) &gt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:addr) &gt;= 1">(IHEOrganizationWithNameAddrTelecom): element hl7:addr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(IHEOrganizationWithNameAddrTelecom): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IHEOrganizationWithNameAddrTelecom): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IHEOrganizationWithNameAddrTelecom): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
