<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.17
Name: XeH Alerts Section
Description: This section contains data describing an interest or worry about a health state or process that could possibly require attention, intervention, or management. A Health Concern is a health related matter that is of interest, importance or worry to someone, who may be the patient, patient's family or patient's health care provider. Health concerns are derived from
                a variety of sources within an EHR (such as Problem List, Family History, Social History, Social Worker Note, etc.). Health concerns can be medical, surgical, nursing, allied health or patient-reported concerns. Problem Concerns are a subset of Health Concerns that have risen to the level of importance that they typically would belong on a classic “Problem List”, such as “Diabetes
                Mellitus” or “Family History of Melanoma” or “Tobacco abuse”. These are of broad interest to multiple members of the care team. Examples of other Health Concerns that might not typically be considered a Problem Concern 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.17-2021-09-10T152433">
   <title>XeH Alerts Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]
Item: (XeHAlertsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]
Item: (XeHAlertsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]"
         id="d42e29629-false-d340512e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']) &gt;= 1">(XeHAlertsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']) &lt;= 1">(XeHAlertsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(cda:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHAlertsSection): element cda:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(cda:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHAlertsSection): element cda:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(cda:title[not(@nullFlavor)]) &gt;= 1">(XeHAlertsSection): element cda:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(cda:title[not(@nullFlavor)]) &lt;= 1">(XeHAlertsSection): element cda:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(cda:text[not(@nullFlavor)]) &gt;= 1">(XeHAlertsSection): element cda:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="count(cda:text[not(@nullFlavor)]) &lt;= 1">(XeHAlertsSection): element cda:text[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']
Item: (XeHAlertsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']"
         id="d42e29631-false-d340564e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAlertsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.17')">(XeHAlertsSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.17'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHAlertsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e29636-false-d340579e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHAlertsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="@nullFlavor or (@code='75310-3' and @codeSystem='2.16.840.1.113883.6.1')">(XeHAlertsSection): The element value SHALL be one of 'code '75310-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:title[not(@nullFlavor)]
Item: (XeHAlertsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:title[not(@nullFlavor)]"
         id="d42e29641-false-d340595e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHAlertsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:text[not(@nullFlavor)]
Item: (XeHAlertsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:text[not(@nullFlavor)]"
         id="d42e29643-false-d340605e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.17-2021-09-10T152433.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHAlertsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]
Item: (XeHAlertsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]
Item: (XeHEntryInternalReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="string(@classCode) = ('ACT')">(XeHEntryInternalReference): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="@moodCode">(XeHEntryInternalReference): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(XeHEntryInternalReference): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <let name="refMoodCode" value="@moodCode"/>
      <let name="refID" value="concat(hl7:id[1]/@root,'#',hl7:id[1]/@extension)"/>
      <let name="refCode"
           value="concat(hl7:code[1]/@code,'#',hl7:code[1]/@codeSystem)"/>
      <let name="reffedObject"
           value="(ancestor::hl7:ClinicalDocument//*:id[concat(@root,'#',@extension)=$refID][not(preceding-sibling::hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1')]/parent::*)[1]"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="not(exists($reffedObject)) or $reffedObject[@moodCode=$refMoodCode]">(XeHEntryInternalReference): The @moodCode of the reference SHALL match the @moodCode of the referenced element</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="exists($reffedObject)">(XeHEntryInternalReference): The root and extension attributes SHALL identify an element defined elsewhere in the same document.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="not(exists($reffedObject)) or ($reffedObject[not(*:code/@code)] and hl7:code[@nullFlavor='NA']) or $reffedObject/*:code[concat(@code,'#',@codeSystem)=$refCode]">(XeHEntryInternalReference): The code of the reference SHALL match the code of the referenced element</assert>
      <let name="elmcount"
           value="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18'] | hl7:templateId)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="$elmcount &gt;= 1">(XeHEntryInternalReference): choice (hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']  or  hl7:templateId) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="$elmcount &lt;= 1">(XeHEntryInternalReference): choice (hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']  or  hl7:templateId) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']) &lt;= 1">(XeHEntryInternalReference): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:templateId) &lt;= 1">(XeHEntryInternalReference): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:id) &gt;= 1">(XeHEntryInternalReference): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:id) &lt;= 1">(XeHEntryInternalReference): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:code) &lt;= 1">(XeHEntryInternalReference): element hl7:code appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.18')">(XeHEntryInternalReference): The value for root SHALL be '2.16.840.1.113883.2.51.10.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:id
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:code
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry[hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="string(@nullFlavor) = ('NA') or not(@nullFlavor)">(XeHEntryInternalReference): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.17
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.17']]/cda:entry
Item: (XeHAlertsSection)
-->
</pattern>
