<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.19
Name: XeH Family History Organizer
Description: The Family History Organizer associates a set of observations with a family member. For example, the Family History Organizer can group a set of observations about the patient’s father.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.19-2021-09-21T174523">
   <title>XeH Family History Organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]
Item: (XeHFamilyHistoryOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]"
         id="d42e29792-false-d340807e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="string(@classCode) = ('CLUSTER')">(XeHFamilyHistoryOrganizer): The value for classCode SHALL be 'CLUSTER'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="string(@moodCode) = ('EVN')">(XeHFamilyHistoryOrganizer): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']) &gt;= 1">(XeHFamilyHistoryOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']) &lt;= 1">(XeHFamilyHistoryOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(XeHFamilyHistoryOrganizer): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]) &gt;= 1">(XeHFamilyHistoryOrganizer): element cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:component[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]) &gt;= 1">(XeHFamilyHistoryOrganizer): element cda:component[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']"
         id="d42e29798-false-d340866e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.19')">(XeHFamilyHistoryOrganizer): The value for root SHALL be '2.16.840.1.113883.2.51.10.19'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:id
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:id"
         id="d42e29803-false-d340880e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:statusCode[@code = 'completed']
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:statusCode[@code = 'completed']"
         id="d42e29805-false-d340891e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="@nullFlavor or (@code='completed')">(XeHFamilyHistoryOrganizer): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]"
         id="d42e29811-false-d340907e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]) &gt;= 1">(XeHFamilyHistoryOrganizer): element cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]"
         id="d42e29813-false-d340923e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="string(@classCode) = ('PRS')">(XeHFamilyHistoryOrganizer): The value for classCode SHALL be 'PRS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:code) &gt;= 1">(XeHFamilyHistoryOrganizer): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:code) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:subject) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:subject appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:code
Item: (XeHFamilyHistoryOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject"
         id="d42e29825-false-d340957e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:administrativeGenderCode) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:administrativeGenderCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(cda:birthTime) &lt;= 1">(XeHFamilyHistoryOrganizer): element cda:birthTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(sdtc:deceasedInd) &lt;= 1">(XeHFamilyHistoryOrganizer): element sdtc:deceasedInd appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="count(sdtc:deceasedTime) &lt;= 1">(XeHFamilyHistoryOrganizer): element sdtc:deceasedTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/sdtc:id
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/sdtc:id"
         id="d42e29830-false-d340993e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/cda:administrativeGenderCode
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/cda:administrativeGenderCode"
         id="d42e29832-false-d341003e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/cda:birthTime
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/cda:birthTime"
         id="d42e29838-false-d341013e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="not(*)">(XeHFamilyHistoryOrganizer): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/sdtc:deceasedInd
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/sdtc:deceasedInd"
         id="d42e29844-false-d341026e0">
      <extends rule="BL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'BL')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/sdtc:deceasedTime
Item: (XeHFamilyHistoryOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:subject[not(@nullFlavor)][cda:relatedSubject[@classCode = 'PRS']]/cda:relatedSubject[not(@nullFlavor)][@classCode = 'PRS'][cda:code]/cda:subject/sdtc:deceasedTime"
         id="d42e29851-false-d341036e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(XeHFamilyHistoryOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.19-2021-09-21T174523.html"
              test="not(*)">(XeHFamilyHistoryOrganizer): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.19
Context: *[cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]]/cda:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.19']]/cda:component[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]
Item: (XeHFamilyHistoryOrganizer)
--></pattern>
