<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.20
Name: XeH Family History Observation
Description: Family History Observations related to a particular family member are contained within a Family History Organizer. The effectiveTime in the Family History Observation is the biologically or clinically relevant time of the observation. The biologically or clinically relevant time is the time at which the observation holds (is effective) for the family member (the
                subject of the observation).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.20-2021-09-22T172216">
   <title>XeH Family History Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]
Item: (XeHFamilyHistoryObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]"
         id="d42e30196-false-d348614e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="string(@classCode) = ('OBS')">(XeHFamilyHistoryObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="string(@moodCode) = ('EVN')">(XeHFamilyHistoryObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']) &gt;= 1">(XeHFamilyHistoryObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']) &lt;= 1">(XeHFamilyHistoryObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHFamilyHistoryObservation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHFamilyHistoryObservation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(XeHFamilyHistoryObservation): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(XeHFamilyHistoryObservation): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:effectiveTime) &lt;= 1">(XeHFamilyHistoryObservation): element cda:effectiveTime appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt; 1">(XeHFamilyHistoryObservation): element cda:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt;= 1">(XeHFamilyHistoryObservation): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]) &lt;= 1">(XeHFamilyHistoryObservation): element cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="count(cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]) &lt;= 1">(XeHFamilyHistoryObservation): element cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']"
         id="d42e30202-false-d348703e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHFamilyHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.20')">(XeHFamilyHistoryObservation): The value for root SHALL be '2.16.840.1.113883.2.51.10.20'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:id
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:id"
         id="d42e30207-false-d348717e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHFamilyHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e30209-false-d348730e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHFamilyHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHFamilyHistoryObservation): The element value SHALL be one of '2.16.840.1.113883.3.1937.99.61.67.11.3 Family History Observation Type (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:statusCode[@code = 'completed']
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:statusCode[@code = 'completed']"
         id="d42e30215-false-d348751e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHFamilyHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="@nullFlavor or (@code='completed')">(XeHFamilyHistoryObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:effectiveTime
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:effectiveTime"
         id="d42e30220-false-d348767e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHFamilyHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (XeHFamilyHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d42e30222-false-d348784e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHFamilyHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHFamilyHistoryObservation): The element value SHALL be one of '2.16.840.1.113883.11.22.5 CORE Problem List Disorders (DYNAMIC) or 2.16.840.1.113883.3.1937.99.61.67.11.2 International Classification of Diseases for Oncology (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]
Item: (XeHFamilyHistoryObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="string(@typeCode) = ('SUBJ')">(XeHFamilyHistoryObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="string(@inversionInd) = ('true')">(XeHFamilyHistoryObservation): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.20
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]
Item: (XeHFamilyHistoryObservation)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.20']]/cda:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.20-2021-09-22T172216.html"
              test="string(@typeCode) = ('CAUS')">(XeHFamilyHistoryObservation): The value for typeCode SHALL be 'CAUS'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
