<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.21
Name: XeH Age Observation
Description: This Age Observation represents the subject's age at onset of an event or observation. The age of a relative in a Family History Observation at the time of that observation could also be inferred by comparing RelatedSubject/subject/birthTime with Observation/effectiveTime. However, a common scenario is that a patient will know the age of a relative when the
      relative had a certain condition or when the relative died, but will not know the actual year (e.g., "grandpa died of a heart attack at the age of 50"). Often times, neither precise dates nor ages are known (e.g., "cousin died of congenital heart disease as an infant").
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.21-2021-09-22T172350">
   <title>XeH Age Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]
Item: (XeHAgeObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]
Item: (XeHAgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]"
         id="d42e30261-false-d348875e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="string(@classCode) = ('OBS')">(XeHAgeObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="string(@moodCode) = ('EVN')">(XeHAgeObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21']) &gt;= 1">(XeHAgeObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21']) &lt;= 1">(XeHAgeObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']) &gt;= 1">(XeHAgeObservation): element cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']) &lt;= 1">(XeHAgeObservation): element cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:code[(@code = '30525-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHAgeObservation): element cda:code[(@code = '30525-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:code[(@code = '30525-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHAgeObservation): element cda:code[(@code = '30525-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(XeHAgeObservation): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(XeHAgeObservation): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:value[not(@nullFlavor)]) &gt;= 1">(XeHAgeObservation): element cda:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="count(cda:value[not(@nullFlavor)]) &lt;= 1">(XeHAgeObservation): element cda:value[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21']
Item: (XeHAgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21']"
         id="d42e30267-false-d348936e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.21')">(XeHAgeObservation): The value for root SHALL be '2.16.840.1.113883.2.51.10.21'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']
Item: (XeHAgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']"
         id="d42e30272-false-d348951e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.67.10.33')">(XeHAgeObservation): The value for root SHALL be '2.16.840.1.113883.3.1937.99.61.67.10.33'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:code[(@code = '30525-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHAgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:code[(@code = '30525-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e30277-false-d348966e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHAgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="@nullFlavor or (@code='30525-0' and @codeSystem='2.16.840.1.113883.6.1')">(XeHAgeObservation): The element value SHALL be one of 'code '30525-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:statusCode[@code = 'completed']
Item: (XeHAgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:statusCode[@code = 'completed']"
         id="d42e30283-false-d348983e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHAgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="@nullFlavor or (@code='completed')">(XeHAgeObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.21
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:value[not(@nullFlavor)]
Item: (XeHAgeObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.21'] and cda:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.33']]/cda:value[not(@nullFlavor)]"
         id="d42e30288-false-d348999e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(XeHAgeObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHAgeObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(XeHAgeObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="@unit">(XeHAgeObservation): attribute @unit SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.21-2021-09-22T172350.html"
              test="not(@unit) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.11.20.9.21-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(XeHAgeObservation): The value for unit SHALL be selected from value set '2.16.840.1.113883.11.20.9.21' AgePQ_UCUM (DYNAMIC).</assert>
   </rule>
</pattern>
