<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.22
Name: XeH Family History Death Observation
Description: This clinical statement records whether the family member is deceased.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.22-2021-09-22T172449">
   <title>XeH Family History Death Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.22
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]
Item: (XeHFamilyHistoryDeathObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.22
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]
Item: (XeHFamilyHistoryDeathObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]"
         id="d42e30309-false-d349048e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="string(@classCode) = ('OBS')">(XeHFamilyHistoryDeathObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="string(@moodCode) = ('EVN')">(XeHFamilyHistoryDeathObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']) &gt;= 1">(XeHFamilyHistoryDeathObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']) &lt;= 1">(XeHFamilyHistoryDeathObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(cda:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHFamilyHistoryDeathObservation): element cda:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(cda:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHFamilyHistoryDeathObservation): element cda:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(XeHFamilyHistoryDeathObservation): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(XeHFamilyHistoryDeathObservation): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(cda:value[@code = '419099009' or (@code = '419099009' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(XeHFamilyHistoryDeathObservation): element cda:value[@code = '419099009' or (@code = '419099009' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="count(cda:value[@code = '419099009' or (@code = '419099009' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(XeHFamilyHistoryDeathObservation): element cda:value[@code = '419099009' or (@code = '419099009' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.22
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']
Item: (XeHFamilyHistoryDeathObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']"
         id="d42e30315-false-d349101e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHFamilyHistoryDeathObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.22')">(XeHFamilyHistoryDeathObservation): The value for root SHALL be '2.16.840.1.113883.2.51.10.22'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.22
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/cda:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHFamilyHistoryDeathObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/cda:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e30320-false-d349116e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHFamilyHistoryDeathObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="@nullFlavor or (@code='75321-0' and @codeSystem='2.16.840.1.113883.6.1')">(XeHFamilyHistoryDeathObservation): The element value SHALL be one of 'code '75321-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.22
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/cda:statusCode[@code = 'completed']
Item: (XeHFamilyHistoryDeathObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/cda:statusCode[@code = 'completed']"
         id="d42e30325-false-d349133e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHFamilyHistoryDeathObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="@nullFlavor or (@code='completed')">(XeHFamilyHistoryDeathObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.22
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/cda:value[@code = '419099009' or (@code = '419099009' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (XeHFamilyHistoryDeathObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.22']]/cda:value[@code = '419099009' or (@code = '419099009' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e30331-false-d349150e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHFamilyHistoryDeathObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="@nullFlavor or (@code='419099009' and @codeSystem='2.16.840.1.113883.6.96')">(XeHFamilyHistoryDeathObservation): The element value SHALL be one of 'code '419099009' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.22-2021-09-22T172449.html"
              test="string(@code) = ('419099009')">(XeHFamilyHistoryDeathObservation): The value for code SHALL be '419099009'. Found: "<value-of select="@code"/>"</assert>
   </rule>
</pattern>
