<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.28
Name: XeH Discharge Diagnosis Section
Description: The discharge diagnosis section shall contain a narrative description of the conditions that need to be monitored after discharge from the hospital and those that were resolved during the hospital course. It shall include entries for patient conditions as described in the Entry Content Module.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.28-2021-10-01T082904">
   <title>XeH Discharge Diagnosis Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]
Item: (XeHDischargeDiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]
Item: (XeHDischargeDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]"
         id="d42e31662-false-d353735e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:templateId[not(@nullFlavor)]) &gt;= 1">(XeHDischargeDiagnosisSection): element hl7:templateId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:templateId[not(@nullFlavor)]) &lt;= 1">(XeHDischargeDiagnosisSection): element hl7:templateId[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']) &gt;= 1">(XeHDischargeDiagnosisSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']) &lt;= 1">(XeHDischargeDiagnosisSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(XeHDischargeDiagnosisSection): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(XeHDischargeDiagnosisSection): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHDischargeDiagnosisSection): element hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHDischargeDiagnosisSection): element hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHDischargeDiagnosisSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHDischargeDiagnosisSection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]) &gt;= 1">(XeHDischargeDiagnosisSection): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:templateId[not(@nullFlavor)]
Item: (XeHDischargeDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:templateId[not(@nullFlavor)]"
         id="d42e31664-false-d353800e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHDischargeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']
Item: (XeHDischargeDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']"
         id="d42e31666-false-d353811e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHDischargeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.28')">(XeHDischargeDiagnosisSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.28'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:id[not(@nullFlavor)]
Item: (XeHDischargeDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:id[not(@nullFlavor)]"
         id="d42e31671-false-d353825e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHDischargeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHDischargeDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e31673-false-d353836e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHDischargeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(XeHDischargeDiagnosisSection): The element value SHALL be one of 'code '11535-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:text[not(@nullFlavor)]
Item: (XeHDischargeDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:text[not(@nullFlavor)]"
         id="d42e31678-false-d353852e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.28-2021-10-01T082904.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHDischargeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.28
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.28']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]
Item: (XeHDischargeDiagnosisSection)
--></pattern>
