<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.29
Name: XeH Admission Diagnosis Section
Description: This section contains a narrative description of the problems or diagnoses identified by the clinician at the time of the patient’s admission. This section may contain coded entries representing the admitting diagnoses.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.29-2021-10-01T085436">
   <title>XeH Admission Diagnosis Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]
Item: (XeHAdmissionDiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]
Item: (XeHAdmissionDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]"
         id="d42e31719-false-d353927e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']) &gt;= 1">(XeHAdmissionDiagnosisSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']) &lt;= 1">(XeHAdmissionDiagnosisSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(cda:code[(@code = '46241-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHAdmissionDiagnosisSection): element cda:code[(@code = '46241-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(cda:code[(@code = '46241-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHAdmissionDiagnosisSection): element cda:code[(@code = '46241-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(cda:title) &gt;= 1">(XeHAdmissionDiagnosisSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(cda:title) &lt;= 1">(XeHAdmissionDiagnosisSection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(cda:text) &gt;= 1">(XeHAdmissionDiagnosisSection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="count(cda:text) &lt;= 1">(XeHAdmissionDiagnosisSection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']
Item: (XeHAdmissionDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']"
         id="d42e31721-false-d353983e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAdmissionDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.29')">(XeHAdmissionDiagnosisSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.29'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:code[(@code = '46241-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHAdmissionDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:code[(@code = '46241-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e31726-false-d353998e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHAdmissionDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="@nullFlavor or (@code='46241-6' and @codeSystem='2.16.840.1.113883.6.1')">(XeHAdmissionDiagnosisSection): The element value SHALL be one of 'code '46241-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:title
Item: (XeHAdmissionDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:title"
         id="d42e31736-false-d354014e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHAdmissionDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:text
Item: (XeHAdmissionDiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:text"
         id="d42e31738-false-d354024e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.29-2021-10-01T085436.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHAdmissionDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.29
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.29']]/cda:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]
Item: (XeHAdmissionDiagnosisSection)
--></pattern>
