<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.30
Name: XeH Chief Complaint and Reason for Visit Section
Description: This section records the patient's chief complaint (the patient’s own description) and/or the reason for the patient's visit (the provider’s description of the reason for visit). Local policy determines whether the information is divided into two sections or recorded in one section serving both purposes.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.30-2021-10-01T090236">
   <title>XeH Chief Complaint and Reason for Visit Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.30
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]
Item: (XeHChiefComplaintandReasonforVisitSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.30
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]
Item: (XeHChiefComplaintandReasonforVisitSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]"
         id="d42e31865-false-d354073e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']) &gt;= 1">(XeHChiefComplaintandReasonforVisitSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']) &lt;= 1">(XeHChiefComplaintandReasonforVisitSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(cda:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHChiefComplaintandReasonforVisitSection): element cda:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(cda:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHChiefComplaintandReasonforVisitSection): element cda:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(cda:title) &gt;= 1">(XeHChiefComplaintandReasonforVisitSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(cda:title) &lt;= 1">(XeHChiefComplaintandReasonforVisitSection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(cda:text) &gt;= 1">(XeHChiefComplaintandReasonforVisitSection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="count(cda:text) &lt;= 1">(XeHChiefComplaintandReasonforVisitSection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.30
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']
Item: (XeHChiefComplaintandReasonforVisitSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']"
         id="d42e31867-false-d354116e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHChiefComplaintandReasonforVisitSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.30')">(XeHChiefComplaintandReasonforVisitSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.30'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.30
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/cda:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHChiefComplaintandReasonforVisitSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/cda:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e31872-false-d354131e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHChiefComplaintandReasonforVisitSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="@nullFlavor or (@code='46239-0' and @codeSystem='2.16.840.1.113883.6.1')">(XeHChiefComplaintandReasonforVisitSection): The element value SHALL be one of 'code '46239-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.30
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/cda:title
Item: (XeHChiefComplaintandReasonforVisitSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/cda:title"
         id="d42e31877-false-d354147e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHChiefComplaintandReasonforVisitSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.30
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/cda:text
Item: (XeHChiefComplaintandReasonforVisitSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.30']]/cda:text"
         id="d42e31879-false-d354157e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.30-2021-10-01T090236.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHChiefComplaintandReasonforVisitSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
