<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.31
Name: XeH Admission Medications Section
Description: The section contains the medications taken by the patient prior to and at the time of admission to the facility.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.31-2021-10-01T090737">
   <title>XeH Admission Medications Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]
Item: (XeHAdmissionMedicationsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]
Item: (XeHAdmissionMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]"
         id="d42e31919-false-d354250e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']) &gt;= 1">(XeHAdmissionMedicationsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']) &lt;= 1">(XeHAdmissionMedicationsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(cda:code[(@code = '42346-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHAdmissionMedicationsSection): element cda:code[(@code = '42346-7' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(cda:code[(@code = '42346-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHAdmissionMedicationsSection): element cda:code[(@code = '42346-7' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(cda:title) &gt;= 1">(XeHAdmissionMedicationsSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(cda:title) &lt;= 1">(XeHAdmissionMedicationsSection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(cda:text) &gt;= 1">(XeHAdmissionMedicationsSection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="count(cda:text) &lt;= 1">(XeHAdmissionMedicationsSection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']
Item: (XeHAdmissionMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']"
         id="d42e31921-false-d354319e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAdmissionMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.31')">(XeHAdmissionMedicationsSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.31'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:code[(@code = '42346-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHAdmissionMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:code[(@code = '42346-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e31926-false-d354334e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHAdmissionMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="@nullFlavor or (@code='42346-7' and @codeSystem='2.16.840.1.113883.6.1')">(XeHAdmissionMedicationsSection): The element value SHALL be one of 'code '42346-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:title
Item: (XeHAdmissionMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:title"
         id="d42e31931-false-d354350e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHAdmissionMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:text
Item: (XeHAdmissionMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:text"
         id="d42e31933-false-d354360e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.31-2021-10-01T090737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHAdmissionMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.31
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.31']]/cda:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.4']]]
Item: (XeHAdmissionMedicationsSection)
--></pattern>
