<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.37
Name: XeH Care Team Act
Description: 
                 This template describes the care provision act performed by a care team (reference center and practitioner). 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.37-2021-10-18T161510">
   <title>XeH Care Team Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]
Item: (XeHCareProvAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]"
         id="d42e33150-false-d362737e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('PCPR')">(XeHCareProvAct): The value for classCode SHALL be 'PCPR'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@moodCode) = ('EVN')">(XeHCareProvAct): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']) &gt;= 1">(XeHCareProvAct): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']) &lt;= 1">(XeHCareProvAct): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHCareProvAct): element hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHCareProvAct): element hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &gt;= 1">(XeHCareProvAct): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(XeHCareProvAct): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:effectiveTime) &lt;= 1">(XeHCareProvAct): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:performer[hl7:assignedEntity]) &lt;= 1">(XeHCareProvAct): element hl7:performer[hl7:assignedEntity] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']"
         id="d42e33156-false-d362808e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.37')">(XeHCareProvAct): The value for root SHALL be '2.16.840.1.113883.2.51.10.37'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:id
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:id"
         id="d42e33161-false-d362822e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:code[(@code = '85847-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e33163-false-d362833e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="@nullFlavor or (@code='85847-2' and @codeSystem='2.16.840.1.113883.6.1')">(XeHCareProvAct): The element value SHALL be one of 'code '85847-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e33174-false-d362852e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(XeHCareProvAct): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:effectiveTime
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:effectiveTime"
         id="d42e33179-false-d362872e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]"
         id="d42e33181-false-d362882e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(XeHCareProvAct): The value for typeCode SHALL be 'PRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(sdtc:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1099.30-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHCareProvAct): element sdtc:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1099.30-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:time) &lt;= 1">(XeHCareProvAct): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:assignedEntity) &gt;= 1">(XeHCareProvAct): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:assignedEntity) &lt;= 1">(XeHCareProvAct): element hl7:assignedEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/sdtc:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1099.30-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/sdtc:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1099.30-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e33190-false-d362920e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113762.1.4.1099.30-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHCareProvAct): The element value SHALL be one of '2.16.840.1.113762.1.4.1099.30 Care Team Member Function (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:time
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:time"
         id="d42e33195-false-d362940e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity"
         id="d42e33197-false-d362950e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(XeHCareProvAct): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:id) &gt;= 1">(XeHCareProvAct): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:code) &lt;= 1">(XeHCareProvAct): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:assignedPerson) &lt;= 1">(XeHCareProvAct): element hl7:assignedPerson appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:id
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:id"
         id="d42e33201-false-d362988e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:code
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:code"
         id="d42e33203-false-d362998e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr"
         id="d42e33208-false-d363008e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:telecom
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:telecom"
         id="d42e33210-false-d363018e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson"
         id="d42e33213-false-d363028e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(XeHCareProvAct): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHCareProvAct): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="d42e33219-false-d363047e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]"
         id="d42e33224-false-d363057e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(XeHCareProvAct): The value for typeCode SHALL be 'PRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:time) &lt;= 1">(XeHCareProvAct): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:assignedEntity) &gt;= 1">(XeHCareProvAct): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:assignedEntity) &lt;= 1">(XeHCareProvAct): element hl7:assignedEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:time
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:time"
         id="d42e33233-false-d363083e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity"
         id="d42e33235-false-d363093e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(XeHCareProvAct): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:id) &gt;= 1">(XeHCareProvAct): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:code) &lt;= 1">(XeHCareProvAct): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:representedOrganization) &lt;= 1">(XeHCareProvAct): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:id
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:id"
         id="d42e33239-false-d363131e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:code
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:code"
         id="d42e33241-false-d363141e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr"
         id="d42e33246-false-d363151e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:telecom
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:telecom"
         id="d42e33248-false-d363161e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization"
         id="d42e33251-false-d363171e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(XeHCareProvAct): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHCareProvAct): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:asOrganizationPartOf) &lt;= 1">(XeHCareProvAct): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="d42e33257-false-d363209e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="d42e33259-false-d363219e0">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="d42e33261-false-d363229e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="d42e33264-false-d363239e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf"
         id="d42e33266-false-d363249e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('PART') or not(@classCode)">(XeHCareProvAct): The value for classCode SHALL be 'PART'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:code) &lt;= 1">(XeHCareProvAct): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:effectiveTime) &lt;= 1">(XeHCareProvAct): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="count(hl7:wholeOrganization) &lt;= 1">(XeHCareProvAct): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code"
         id="d42e33275-false-d363279e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime"
         id="d42e33280-false-d363289e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization"
         id="d42e33282-false-d363299e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(XeHCareProvAct): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHCareProvAct): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (XeHCareProvAct)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name"
         id="d42e33288-false-d363318e0">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(XeHCareProvAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.37
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]
Item: (XeHCareProvAct)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@typeCode) = ('REFR')">(XeHCareProvAct): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.37-2021-10-18T161510.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(XeHCareProvAct): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]
Item: (XeHEntryInternalReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="string(@classCode) = ('ACT')">(XeHEntryInternalReference): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="@moodCode">(XeHEntryInternalReference): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(XeHEntryInternalReference): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <let name="refMoodCode" value="@moodCode"/>
      <let name="refID" value="concat(hl7:id[1]/@root,'#',hl7:id[1]/@extension)"/>
      <let name="refCode"
           value="concat(hl7:code[1]/@code,'#',hl7:code[1]/@codeSystem)"/>
      <let name="reffedObject"
           value="(ancestor::hl7:ClinicalDocument//*:id[concat(@root,'#',@extension)=$refID][not(preceding-sibling::hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1')]/parent::*)[1]"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="not(exists($reffedObject)) or $reffedObject[@moodCode=$refMoodCode]">(XeHEntryInternalReference): The @moodCode of the reference SHALL match the @moodCode of the referenced element</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="exists($reffedObject)">(XeHEntryInternalReference): The root and extension attributes SHALL identify an element defined elsewhere in the same document.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="not(exists($reffedObject)) or ($reffedObject[not(*:code/@code)] and hl7:code[@nullFlavor='NA']) or $reffedObject/*:code[concat(@code,'#',@codeSystem)=$refCode]">(XeHEntryInternalReference): The code of the reference SHALL match the code of the referenced element</assert>
      <let name="elmcount"
           value="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18'] | hl7:templateId)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="$elmcount &gt;= 1">(XeHEntryInternalReference): choice (hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']  or  hl7:templateId) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="$elmcount &lt;= 1">(XeHEntryInternalReference): choice (hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']  or  hl7:templateId) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']) &lt;= 1">(XeHEntryInternalReference): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:templateId) &lt;= 1">(XeHEntryInternalReference): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:id) &gt;= 1">(XeHEntryInternalReference): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:id) &lt;= 1">(XeHEntryInternalReference): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="count(hl7:code) &lt;= 1">(XeHEntryInternalReference): element hl7:code appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.18')">(XeHEntryInternalReference): The value for root SHALL be '2.16.840.1.113883.2.51.10.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:templateId">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:id
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.18
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:code
Item: (XeHEntryInternalReference)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT'][@moodCode]]/hl7:act[@classCode = 'ACT'][@moodCode]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHEntryInternalReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.18-2021-09-21T174300.html"
              test="string(@nullFlavor) = ('NA') or not(@nullFlavor)">(XeHEntryInternalReference): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
</pattern>
