<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.50
Name: XeH Hospital Discharge Physical Section
Description: The Hospital Discharge Physical Section records a narrative description of the patient’s physical findings.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.50-2021-12-17T085934">
   <title>XeH Hospital Discharge Physical Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]
Item: (XeHHospitalDischargePhysicalSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]
Item: (XeHHospitalDischargePhysicalSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]"
         id="d42e36004-false-d394757e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50']) &gt;= 1">(XeHHospitalDischargePhysicalSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50']) &lt;= 1">(XeHHospitalDischargePhysicalSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']) &gt;= 1">(XeHHospitalDischargePhysicalSection): element cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']) &lt;= 1">(XeHHospitalDischargePhysicalSection): element cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:code[(@code = '10184-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHHospitalDischargePhysicalSection): element cda:code[(@code = '10184-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:code[(@code = '10184-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHHospitalDischargePhysicalSection): element cda:code[(@code = '10184-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:title) &gt;= 1">(XeHHospitalDischargePhysicalSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:title) &lt;= 1">(XeHHospitalDischargePhysicalSection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:text) &gt;= 1">(XeHHospitalDischargePhysicalSection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="count(cda:text) &lt;= 1">(XeHHospitalDischargePhysicalSection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50']
Item: (XeHHospitalDischargePhysicalSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50']"
         id="d42e36006-false-d394809e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHHospitalDischargePhysicalSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.50')">(XeHHospitalDischargePhysicalSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.50'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']
Item: (XeHHospitalDischargePhysicalSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']"
         id="d42e36011-false-d394824e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHHospitalDischargePhysicalSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.26')">(XeHHospitalDischargePhysicalSection): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.26'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:code[(@code = '10184-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHHospitalDischargePhysicalSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:code[(@code = '10184-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e36016-false-d394839e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHHospitalDischargePhysicalSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="@nullFlavor or (@code='10184-0' and @codeSystem='2.16.840.1.113883.6.1')">(XeHHospitalDischargePhysicalSection): The element value SHALL be one of 'code '10184-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:title
Item: (XeHHospitalDischargePhysicalSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:title"
         id="d42e36021-false-d394855e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHHospitalDischargePhysicalSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.50
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:text
Item: (XeHHospitalDischargePhysicalSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.50'] and cda:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.26']]/cda:text"
         id="d42e36023-false-d394865e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.50-2021-12-17T085934.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHHospitalDischargePhysicalSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
