<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.51
Name: XeH Prognosis Observation
Description: This template represents the patient’s prognosis, which must be associated with a problem observation. It may serve as an alert to scope intervention plans. The effectiveTime represents the clinically relevant time of the observation. The observation/value is not constrained and can represent the expected life duration in PQ, an anticipated course of the disease in
            text, or coded term.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.51-2021-12-17T091428">
   <title>XeH Prognosis Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]
Item: (XeHPrognosisObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]
Item: (XeHPrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]"
         id="d42e36041-false-d394893e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="string(@classCode) = ('OBS')">(XeHPrognosisObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="string(@moodCode) = ('EVN')">(XeHPrognosisObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']) &gt;= 1">(XeHPrognosisObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']) &lt;= 1">(XeHPrognosisObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHPrognosisObservation): element cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHPrognosisObservation): element cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(XeHPrognosisObservation): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(XeHPrognosisObservation): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:effectiveTime) &gt;= 1">(XeHPrognosisObservation): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:effectiveTime) &lt;= 1">(XeHPrognosisObservation): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:value) &gt;= 1">(XeHPrognosisObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="count(cda:value) &lt;= 1">(XeHPrognosisObservation): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']
Item: (XeHPrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']"
         id="d42e36047-false-d394953e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHPrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.51')">(XeHPrognosisObservation): The value for root SHALL be '2.16.840.1.113883.2.51.10.51'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHPrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e36052-false-d394968e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHPrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')">(XeHPrognosisObservation): The element value SHALL be one of 'code '75328-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:statusCode[@code = 'completed']
Item: (XeHPrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:statusCode[@code = 'completed']"
         id="d42e36057-false-d394985e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHPrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="@nullFlavor or (@code='completed')">(XeHPrognosisObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:effectiveTime
Item: (XeHPrognosisObservation)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:effectiveTime"
         id="d42e36063-false-d395001e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.51-2021-12-17T091428.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHPrognosisObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.51
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]/cda:value
Item: (XeHPrognosisObservation)
-->
</pattern>
