<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.63
Name: XeH Imaging Procedure Description
Description: The Imaging Procedure Description section records the technical details of the procedure and may include information about protocol, imaging device, contrast, radiation dose, medications administered (sedation, stress agents), etc.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.63-2022-03-21T160800">
   <title>XeH Imaging Procedure Description</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]"
         id="d42e37908-false-d407621e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]"
         id="d42e37944-false-d407758e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']) &gt;= 1">(XeHImagingProcedureDescription): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']) &lt;= 1">(XeHImagingProcedureDescription): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:id) &gt;= 1">(XeHImagingProcedureDescription): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:id) &lt;= 1">(XeHImagingProcedureDescription): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:title) &gt;= 1">(XeHImagingProcedureDescription): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:title) &lt;= 1">(XeHImagingProcedureDescription): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:text) &lt;= 1">(XeHImagingProcedureDescription): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:entry[hl7:procedure]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:entry[hl7:procedure] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:entry[hl7:procedure]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:entry[hl7:procedure] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']"
         id="d42e37946-false-d407907e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.63')">(XeHImagingProcedureDescription): The value for root SHALL be '2.16.840.1.113883.2.51.10.63'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:id
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:id"
         id="d42e37951-false-d407921e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e37953-false-d407932e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="@nullFlavor or (@code='55111-9' and @codeSystem='2.16.840.1.113883.6.1')">(XeHImagingProcedureDescription): The element value SHALL be one of 'code '55111-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:title
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:title"
         id="d42e37958-false-d407948e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:text
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:text"
         id="d42e37960-false-d407958e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:procedure]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:procedure]"
         id="d42e37967-false-d407971e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:procedure]/hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:observation]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:observation]"
         id="d42e37972-false-d408010e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:substanceAdministration]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:substanceAdministration]"
         id="d42e37977-false-d408049e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:substanceAdministration]/hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]"
         id="d42e37982-false-d408103e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]"
         id="d42e37987-false-d408198e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]"
         id="d42e37992-false-d408291e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]
Item: (XeHImagingProcedureDescription)
--></pattern>
