<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.66
Name: XeH Immunization Refusal Reason
Description: The Immunization Refusal Reason documents the rationale for the patient declining an immunization.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.66-2022-05-06T094203">
   <title>XeH Immunization Refusal Reason</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.66
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]
Item: (XeHImmunizationRefusalReason)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.66
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]
Item: (XeHImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]"
         id="d42e38223-false-d411601e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="string(@classCode) = ('OBS')">(XeHImmunizationRefusalReason): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="string(@moodCode) = ('EVN')">(XeHImmunizationRefusalReason): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']) &gt;= 1">(XeHImmunizationRefusalReason): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']) &lt;= 1">(XeHImmunizationRefusalReason): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="count(cda:code) &gt;= 1">(XeHImmunizationRefusalReason): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="count(cda:code) &lt;= 1">(XeHImmunizationRefusalReason): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(XeHImmunizationRefusalReason): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(XeHImmunizationRefusalReason): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.66
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']
Item: (XeHImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']"
         id="d42e38229-false-d411651e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.66')">(XeHImmunizationRefusalReason): The value for root SHALL be '2.16.840.1.113883.2.51.10.66'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.66
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/cda:id
Item: (XeHImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/cda:id"
         id="d42e38234-false-d411665e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.66
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/cda:code
Item: (XeHImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/cda:code"
         id="d42e38236-false-d411678e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.66
Context: *[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/cda:statusCode[@code = 'completed']
Item: (XeHImmunizationRefusalReason)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]]/cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.66']]/cda:statusCode[@code = 'completed']"
         id="d42e38242-false-d411693e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHImmunizationRefusalReason): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.66-2022-05-06T094203.html"
              test="@nullFlavor or (@code='completed')">(XeHImmunizationRefusalReason): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
</pattern>
