<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.68
Name: XeH Vital Signs Observation
Description: 
                 A vital signs observation is a simple observation that uses a specific vocabulary, and inherits  constraints from CCD. 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.68-2022-05-06T113637">
   <title>XeH Vital Signs Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]"
         id="d42e38299-false-d411832e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]) &gt;= 1">(XeHVitalSignsObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]) &lt;= 1">(XeHVitalSignsObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]"
         id="d42e38347-false-d411849e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']) &gt;= 1">(XeHVitalSignsObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']) &lt;= 1">(XeHVitalSignsObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt; 1">(XeHVitalSignsObservation): element hl7:code is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(XeHVitalSignsObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:text) &lt;= 1">(XeHVitalSignsObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:value) &gt;= 1">(XeHVitalSignsObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:value) &lt;= 1">(XeHVitalSignsObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']"
         id="d42e38349-false-d411906e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.68')">(XeHVitalSignsObservation): The value for root SHALL be '2.16.840.1.113883.2.51.10.68'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e38354-false-d411923e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.62-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHVitalSignsObservation): The element value SHALL be one of '2.16.840.1.113883.3.88.12.80.62 Vital Signs (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:text
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:text"
         id="d42e38359-false-d411943e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(XeHVitalSignsObservation): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(XeHVitalSignsObservation): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e38378-false-d411962e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="@value">(XeHVitalSignsObservation): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:value
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:value"
         id="d42e38388-false-d411976e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHVitalSignsObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(XeHVitalSignsObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:interpretationCode
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:interpretationCode"
         id="d42e38390-false-d411991e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:methodCode
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:methodCode"
         id="d42e38393-false-d412001e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode"
         id="d42e38395-false-d412014e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]]"
         id="d42e38399-false-d412033e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &gt;= 1">(XeHVitalSignsObservation): element hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &lt;= 1">(XeHVitalSignsObservation): element hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHVitalSignsObservation): element hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="count(hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHVitalSignsObservation): element hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]]/hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]]/hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d42e38401-false-d412065e0">
      <extends rule="CV.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CV". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="@nullFlavor or (@code='272741003' and @codeSystem='2.16.840.1.113883.6.96')">(XeHVitalSignsObservation): The element value SHALL be one of 'code '272741003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.68
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]]/hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHVitalSignsObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]]/hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e38409-false-d412084e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHVitalSignsObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.68-2022-05-06T113637.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem] | completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHVitalSignsObservation): The element value SHALL be one of '1.2.840.10008.6.1.37 Laterality (DYNAMIC)'.</assert>
   </rule>
</pattern>
