<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.69
Name: XeH Vital Signs Organizer
Description: A vital signs organizer collects vital signs observations. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.69-2022-05-06T120045">
   <title>XeH Vital Signs Organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]
Item: (XeHVitalSignsOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]
Item: (XeHVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]"
         id="d42e38459-false-d412132e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="string(@moodCode) = ('EVN')">(XeHVitalSignsOrganizer): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="string(@classCode) = ('CLUSTER')">(XeHVitalSignsOrganizer): The value for classCode SHALL be 'CLUSTER'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']) &gt;= 1">(XeHVitalSignsOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']) &lt;= 1">(XeHVitalSignsOrganizer): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHVitalSignsOrganizer): element hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHVitalSignsOrganizer): element hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(XeHVitalSignsOrganizer): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(XeHVitalSignsOrganizer): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:effectiveTime) &lt;= 1">(XeHVitalSignsOrganizer): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]) &gt;= 1">(XeHVitalSignsOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']
Item: (XeHVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']"
         id="d42e38465-false-d412196e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.69')">(XeHVitalSignsOrganizer): The value for root SHALL be '2.16.840.1.113883.2.51.10.69'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:id
Item: (XeHVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:id"
         id="d42e38470-false-d412210e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:code[(@code = '85353-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e38472-false-d412221e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="@nullFlavor or (@code='85353-1' and @codeSystem='2.16.840.1.113883.6.1')">(XeHVitalSignsOrganizer): The element value SHALL be one of 'code '85353-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:statusCode[@code = 'completed']
Item: (XeHVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:statusCode[@code = 'completed']"
         id="d42e38478-false-d412238e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="@nullFlavor or (@code='completed')">(XeHVitalSignsOrganizer): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:effectiveTime
Item: (XeHVitalSignsOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:effectiveTime"
         id="d42e38483-false-d412254e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHVitalSignsOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.69
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]
Item: (XeHVitalSignsOrganizer)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.69']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.68']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.69-2022-05-06T120045.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(XeHVitalSignsOrganizer): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
