<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Name: XeH Ordering/Referring Provider
Description: Header participant representing any ordering provider or referring physician for this document, e.g. : 
                 
                     the ordering provider of the order (or group of orders) fulfilled by this laboratory or imaging report 
                     the referring physician for this hospital discharge summary 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737">
   <title>XeH Ordering/Referring Provider</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]"
         id="d42e41227-false-d425073e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="string(@typeCode) = ('REF')">(XeHOrderingProvider): The value for typeCode SHALL be 'REF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']) &gt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']) &lt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:time) &gt;= 1">(XeHOrderingProvider): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:time) &lt;= 1">(XeHOrderingProvider): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:associatedEntity) &gt;= 1">(XeHOrderingProvider): element hl7:associatedEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:associatedEntity) &lt;= 1">(XeHOrderingProvider): element hl7:associatedEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']"
         id="d42e41234-false-d425111e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.67.10.4')">(XeHOrderingProvider): The value for root SHALL be '2.16.840.1.113883.3.1937.99.61.67.10.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:time
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:time"
         id="d42e41239-false-d425125e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity"
         id="d42e41245-false-d425135e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="not(hl7:assignedPerson) or hl7:assignedPerson/hl7:name">(XeHOrderingProvider): The &lt;name&gt; sub-element SHALL be present when &lt;assignedPerson&gt; present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:associatedPerson) &lt;= 1">(XeHOrderingProvider): element hl7:associatedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="count(hl7:scopingOrganization) &lt;= 1">(XeHOrderingProvider): element hl7:scopingOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity/hl7:addr
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity/hl7:addr"
         id="d42e41247-false-d425163e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity/hl7:telecom
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity/hl7:telecom"
         id="d42e41253-false-d425173e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.3.1937.99.61.67.10.4-2020-10-02T112737.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity/hl7:associatedPerson
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.67.10.4
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.4']]/hl7:associatedEntity/hl7:scopingOrganization
Item: (XeHOrderingProvider)
-->
</pattern>
