<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.40
Name: XeH Medication Statement
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.40-2021-10-19T110933">
   <title>XeH Medication Statement</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]
Item: (XeHMedicationStatement)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]"
         id="d42e33846-false-d379556e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="string(@classCode) = ('SBADM')">(XeHMedicationStatement): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="@moodCode">(XeHMedicationStatement): attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.11.20.9.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(XeHMedicationStatement): The value for moodCode SHALL be selected from value set '2.16.840.1.113883.11.20.9.18' MoodCodeEvnInt (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']) &gt;= 1">(XeHMedicationStatement): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']) &lt;= 1">(XeHMedicationStatement): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHMedicationStatement): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHMedicationStatement): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:text) &lt;= 1">(XeHMedicationStatement): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(XeHMedicationStatement): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(XeHMedicationStatement): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[hl7:low | hl7:high] | hl7:effectiveTime[hl7:width])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="$elmcount &gt;= 1">(XeHMedicationStatement): choice (hl7:effectiveTime[hl7:low  or  hl7:high]  or  hl7:effectiveTime[hl7:width]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="$elmcount &lt;= 1">(XeHMedicationStatement): choice (hl7:effectiveTime[hl7:low  or  hl7:high]  or  hl7:effectiveTime[hl7:width]) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:effectiveTime[hl7:low | hl7:high]) &lt;= 1">(XeHMedicationStatement): element hl7:effectiveTime[hl7:low | hl7:high] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:effectiveTime[hl7:width]) &lt;= 1">(XeHMedicationStatement): element hl7:effectiveTime[hl7:width] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:routeCode[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.33-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &lt;= 1">(XeHMedicationStatement): element hl7:routeCode[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.33-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:doseQuantity) = 0">(XeHMedicationStatement): element hl7:doseQuantity MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:rateQuantity) = 0">(XeHMedicationStatement): element hl7:rateQuantity MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:administrationUnitCode) = 0">(XeHMedicationStatement): element hl7:administrationUnitCode MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]) &gt;= 1">(XeHMedicationStatement): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]) &lt;= 1">(XeHMedicationStatement): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']"
         id="d42e33861-false-d379716e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.40')">(XeHMedicationStatement): The value for root SHALL be '2.16.840.1.113883.2.51.10.40'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:id
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:id"
         id="d42e33866-false-d379730e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e33871-false-d379745e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.14-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.11.22.15-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHMedicationStatement): The element value SHALL be one of '2.16.840.1.113883.11.22.14 DRUGActCode (DYNAMIC) or 2.16.840.1.113883.11.22.15 Absent or Unknown Medication (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:text
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:text"
         id="d42e33885-false-d379771e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(XeHMedicationStatement): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(XeHMedicationStatement): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e33896-false-d379790e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="@value">(XeHMedicationStatement): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e33906-false-d379807e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(XeHMedicationStatement): The element value SHALL be one of '2.16.840.1.113883.11.22.12 ActStatusActiveCompletedAbortedSuspended (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]
Item: (Useperiod)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:low | hl7:high]
Item: (Useperiod)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:low | hl7:high]"
         id="d379808e31-false-d379828e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Useperiod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(Useperiod): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="count(hl7:low) &gt;= 1">(Useperiod): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="count(hl7:low) &lt;= 1">(Useperiod): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="count(hl7:high) &lt;= 1">(Useperiod): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:low | hl7:high]/hl7:low
Item: (Useperiod)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:low | hl7:high]/hl7:low"
         id="d379808e88-false-d379856e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(Useperiod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:low | hl7:high]/hl7:high
Item: (Useperiod)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:low | hl7:high]/hl7:high"
         id="d379808e90-false-d379866e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(Useperiod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:width]
Item: (Useperiod)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:width]"
         id="d379808e93-false-d379874e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Useperiod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="count(hl7:low) = 0">(Useperiod): element hl7:low MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="count(hl7:width) &gt;= 1">(Useperiod): element hl7:width is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="count(hl7:width) &lt;= 1">(Useperiod): element hl7:width appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:width]/hl7:low
Item: (Useperiod)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.9.1
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:width]/hl7:width
Item: (Useperiod)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:effectiveTime[hl7:width]/hl7:width"
         id="d379808e113-false-d379907e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Useperiod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Useperiod): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Useperiod): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.21.9.1-2017-05-02T000000.html"
              test="@unit">(Useperiod): attribute @unit SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:routeCode[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.33-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:routeCode[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.33-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]"
         id="d42e33918-false-d379937e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.33-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHMedicationStatement): The element value SHALL be one of '2.16.840.1.113883.11.22.33 Medicine Route of Administration (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:doseQuantity
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:doseQuantity"
         id="d42e33941-false-d379957e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_PQ')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHMedicationStatement): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHMedicationStatement): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHMedicationStatement): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:rateQuantity
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:rateQuantity"
         id="d42e33943-false-d379974e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_PQ')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHMedicationStatement): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHMedicationStatement): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHMedicationStatement): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:administrationUnitCode
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:administrationUnitCode"
         id="d42e33946-false-d379991e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]
Item: (XeHMedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="string(@typeCode) = ('CSM')">(XeHMedicationStatement): The value for typeCode SHALL be 'CSM'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]
Item: (IPSManufacturedProduct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]
Item: (IPSManufacturedProduct)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="string(@classCode) = ('MANU') or not(@classCode)">(IPSManufacturedProduct): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']) &gt;= 1">(IPSManufacturedProduct): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']) &lt;= 1">(IPSManufacturedProduct): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]) &gt;= 1">(IPSManufacturedProduct): element hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]) &lt;= 1">(IPSManufacturedProduct): element hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']
Item: (IPSManufacturedProduct)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSManufacturedProduct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.2-2016-11-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.2')">(IPSManufacturedProduct): The value for root SHALL be '2.16.840.1.113883.10.22.4.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('MMAT') or not(@classCode)">(IPSMedMaterial): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@determinerCode) = ('KIND') or not(@determinerCode)">(IPSMedMaterial): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']) &gt;= 1">(IPSMedMaterial): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']) &lt;= 1">(IPSMedMaterial): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:code) &lt;= 1">(IPSMedMaterial): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:name) &lt;= 1">(IPSMedMaterial): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSMedMaterial): element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']) &lt;= 1">(IPSMedMaterial): element pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.3')">(IPSMedMaterial): The value for root SHALL be '2.16.840.1.113883.10.22.4.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:code
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:code">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:name
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:name">
      <extends rule="EN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'EN')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:EN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.25-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSMedMaterial): The element value SHALL be one of '2.16.840.1.113883.11.22.25 Medicine Doseform (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('CONT')">(IPSMedMaterial): The value for classCode SHALL be 'CONT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:quantity) &lt;= 1">(IPSMedMaterial): element pharm:quantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']) &gt;= 1">(IPSMedMaterial): element pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']) &lt;= 1">(IPSMedMaterial): element pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:quantity
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:quantity">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('CONT')">(IPSMedMaterial): The value for classCode SHALL be 'CONT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@determinerCode) = ('KIND')">(IPSMedMaterial): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code) &lt;= 1">(IPSMedMaterial): element pharm:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:name) &lt;= 1">(IPSMedMaterial): element pharm:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSMedMaterial): element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:capacityQuantity) &lt;= 1">(IPSMedMaterial): element pharm:capacityQuantity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:code
Item: (IPSMedMaterial)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:name
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:name">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSMedMaterial): The element value SHALL be one of '2.16.840.1.113883.11.22.27 Medicine Package (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:capacityQuantity
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:capacityQuantity">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('CONT')">(IPSMedMaterial): The value for classCode SHALL be 'CONT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:quantity) &lt;= 1">(IPSMedMaterial): element pharm:quantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(IPSMedMaterial): element pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(IPSMedMaterial): element pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:quantity
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:quantity">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('CONT')">(IPSMedMaterial): The value for classCode SHALL be 'CONT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@determinerCode) = ('KIND')">(IPSMedMaterial): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code) &lt;= 1">(IPSMedMaterial): element pharm:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:name) &lt;= 1">(IPSMedMaterial): element pharm:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(IPSMedMaterial): element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSMedMaterial): element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:capacityQuantity) &lt;= 1">(IPSMedMaterial): element pharm:capacityQuantity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:code
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:code">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:name
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:name">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSMedMaterial): The element value SHALL be one of '2.16.840.1.113883.11.22.27 Medicine Package (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:capacityQuantity
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:capacityQuantity">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('CONT')">(IPSMedMaterial): The value for classCode SHALL be 'CONT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:quantity) &lt;= 1">(IPSMedMaterial): element pharm:quantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(IPSMedMaterial): element pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(IPSMedMaterial): element pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:quantity
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:quantity">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('CONT')">(IPSMedMaterial): The value for classCode SHALL be 'CONT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@determinerCode) = ('KIND')">(IPSMedMaterial): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code) &lt;= 1">(IPSMedMaterial): element pharm:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:name) &lt;= 1">(IPSMedMaterial): element pharm:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(IPSMedMaterial): element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSMedMaterial): element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:capacityQuantity) &lt;= 1">(IPSMedMaterial): element pharm:capacityQuantity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:code
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:code">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:name
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:name">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSMedMaterial): The element value SHALL be one of '2.16.840.1.113883.11.22.27 Medicine Package (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:capacityQuantity
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:asContent[@classCode = 'CONT'][pharm:containerPackagedProduct[@classCode = 'CONT'][@determinerCode = 'KIND']]/pharm:containerPackagedProduct[pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/pharm:capacityQuantity">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('GRIC')">(IPSMedMaterial): The value for classCode SHALL be 'GRIC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]) &gt;= 1">(IPSMedMaterial): element pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]) &lt;= 1">(IPSMedMaterial): element pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']/pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']/pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('MMAT')">(IPSMedMaterial): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &gt;= 1">(IPSMedMaterial): element pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &lt;= 1">(IPSMedMaterial): element pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']/pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']/pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(IPSMedMaterial): The element value SHALL be one of '2.16.840.1.113883.11.22.29 WHO ATC (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[generalizedMaterialKind/code/@codeSystem='2.16.840.1.113883.6.73']/pharm:generalizedMaterialKind[pharm:code[@codeSystem = doc('include/voc-2.16.840.1.113883.11.22.29-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/pharm:name
Item: (IPSMedMaterial)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('GRIC')">(IPSMedMaterial): The value for classCode SHALL be 'GRIC'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']/pharm:generalizedMaterialKind[@classCode = 'MMAT']
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']/pharm:generalizedMaterialKind[@classCode = 'MMAT']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('MMAT')">(IPSMedMaterial): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code) &gt;= 1">(IPSMedMaterial): element pharm:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code) &lt;= 1">(IPSMedMaterial): element pharm:code appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']/pharm:generalizedMaterialKind[@classCode = 'MMAT']/pharm:code
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']/pharm:generalizedMaterialKind[@classCode = 'MMAT']/pharm:code">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:asSpecializedKind[@classCode = 'GRIC']/pharm:generalizedMaterialKind[@classCode = 'MMAT']/pharm:name
Item: (IPSMedMaterial)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@classCode">(IPSMedMaterial): attribute @classCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@classCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10430-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(IPSMedMaterial): The value for classCode SHALL be selected from value set '2.16.840.1.113883.1.11.10430' RoleClassIngredientEntity (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:quantity[not(@nullFlavor)]) &gt;= 1">(IPSMedMaterial): element pharm:quantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:quantity[not(@nullFlavor)]) &lt;= 1">(IPSMedMaterial): element pharm:quantity[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']) &gt;= 1">(IPSMedMaterial): element pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']) &lt;= 1">(IPSMedMaterial): element pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:quantity[not(@nullFlavor)]
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:quantity[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:numerator) &gt;= 1">(IPSMedMaterial): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:numerator) &lt;= 1">(IPSMedMaterial): element hl7:numerator appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:denominator) &gt;= 1">(IPSMedMaterial): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(hl7:denominator) &lt;= 1">(IPSMedMaterial): element hl7:denominator appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:quantity[not(@nullFlavor)]/hl7:numerator
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:quantity[not(@nullFlavor)]/hl7:numerator">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@unit">(IPSMedMaterial): attribute @unit SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:quantity[not(@nullFlavor)]/hl7:denominator
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:quantity[not(@nullFlavor)]/hl7:denominator">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSMedMaterial): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSMedMaterial): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@unit">(IPSMedMaterial): attribute @unit SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="@value">(IPSMedMaterial): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@classCode) = ('MMAT')">(IPSMedMaterial): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="string(@determinerCode) = ('KIND')">(IPSMedMaterial): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="pharm:code or pharm:name">(IPSMedMaterial): Either the name or the code of the substance (or both) shall be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:code) &lt;= 1">(IPSMedMaterial): element pharm:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="count(pharm:name) &lt;= 1">(IPSMedMaterial): element pharm:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code/hl7:originalText
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code/hl7:originalText">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code/hl7:originalText/hl7:reference
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code/hl7:originalText/hl7:reference">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code/hl7:translation
Item: (IPSMedMaterial)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:code/hl7:translation">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.3-2021-08-02T165227.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSMedMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.3
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/pharm:ingredient[@classCode]/pharm:ingredientSubstance[@classCode = 'MMAT'][@determinerCode = 'KIND']/pharm:name
Item: (IPSMedMaterial)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (XeHMedicationStatement)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.21.4.6']]]
Item: (XeHMedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.21.4.6']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="string(@typeCode) = ('COMP')">(XeHMedicationStatement): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="count(hl7:sequenceNumber) &lt;= 1">(XeHMedicationStatement): element hl7:sequenceNumber appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.21.4.6']]]/hl7:sequenceNumber
Item: (XeHMedicationStatement)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.21.4.6']]]/hl7:sequenceNumber">
      <extends rule="INT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(XeHMedicationStatement): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(XeHMedicationStatement): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.40
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:entryRelationship[@typeCode = 'RSON']
Item: (XeHMedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]/hl7:entryRelationship[@typeCode = 'RSON']"
         id="d42e34001-false-d381505e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.40-2021-10-19T110933.html"
              test="string(@typeCode) = ('RSON')">(XeHMedicationStatement): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
