<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.61
Name: XeH Clinical Information
Description: Clinical details about the case such as presenting signs and symptoms, past clinical history, the overall condition of the patient, etc
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.61-2022-03-17T115155">
   <title>XeH Clinical Information</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]"
         id="d42e37760-false-d403266e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]) &gt;= 1">(XeHClinicalInformation): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]) &lt;= 1">(XeHClinicalInformation): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]"
         id="d42e37792-false-d403389e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']) &gt;= 1">(XeHClinicalInformation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']) &lt;= 1">(XeHClinicalInformation): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:id) &gt;= 1">(XeHClinicalInformation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:id) &lt;= 1">(XeHClinicalInformation): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHClinicalInformation): element hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHClinicalInformation): element hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:title) &gt;= 1">(XeHClinicalInformation): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:title) &lt;= 1">(XeHClinicalInformation): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHClinicalInformation): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHClinicalInformation): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHClinicalInformation): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHClinicalInformation): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHClinicalInformation): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:templateId) &lt;= 1">(XeHClinicalInformation): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:author[hl7:assignedAuthor]) &lt;= 1">(XeHClinicalInformation): element hl7:author[hl7:assignedAuthor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHClinicalInformation): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHClinicalInformation): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:entry[hl7:observationMedia]) &lt;= 1">(XeHClinicalInformation): element hl7:entry[hl7:observationMedia] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHClinicalInformation): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:entry) &lt;= 1">(XeHClinicalInformation): element hl7:entry appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']"
         id="d42e37794-false-d403568e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.61')">(XeHClinicalInformation): The value for root SHALL be '2.16.840.1.113883.2.51.10.61'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:id
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:id"
         id="d42e37799-false-d403582e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e37801-false-d403593e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="@nullFlavor or (@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')">(XeHClinicalInformation): The element value SHALL be one of 'code '55752-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:title
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:title"
         id="d42e37811-false-d403609e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:text[not(@nullFlavor)]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:text[not(@nullFlavor)]"
         id="d42e37813-false-d403619e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]"
         id="d42e37816-false-d403648e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]) &gt;= 1">(XeHClinicalInformation): element hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]) &lt;= 1">(XeHClinicalInformation): element hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]
Item: (XeHClinicalInformation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]) &gt;= 1">(Request): element hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]) &lt;= 1">(Request): element hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:templateId) &gt;= 1">(Request): element hl7:templateId is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:templateId) &lt;= 1">(Request): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:id) &gt;= 1">(Request): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Request): element hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Request): element hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:title) &gt;= 1">(Request): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:title) &lt;= 1">(Request): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:text) &lt;= 1">(Request): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:templateId) &lt;= 1">(Request): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:author[hl7:assignedAuthor]) &lt;= 1">(Request): element hl7:author[hl7:assignedAuthor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(Request): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(Request): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:entry[hl7:observationMedia]) &lt;= 1">(Request): element hl7:entry[hl7:observationMedia] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(Request): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="count(hl7:entry) &lt;= 1">(Request): element hl7:entry appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:templateId
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:templateId">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Request): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="string(@root) = ('1.2.840.10008.9.7') or not(@root)">(Request): The value for root SHALL be '1.2.840.10008.9.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:id
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Request): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Request): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="@nullFlavor or (@code='55115-0' and @codeSystem='2.16.840.1.113883.6.1')">(Request): The element value SHALL be one of 'code '55115-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:title
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:title">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Request): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text
Item: (Request)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:content
Item: (Request)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:content">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.7-2021-06-21T155241.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Request): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &gt;= 1">(Text): element hl7:text[hl7:table] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &lt;= 1">(Text): element hl7:text[hl7:table] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &gt;= 1">(Text): element hl7:table is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &lt;= 1">(Text): element hl7:table appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:content
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:content">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@referencedObject">(Text): attribute @referencedObject SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:paragraph
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:paragraph">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:list
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:list">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:item) &gt;= 1">(Text): element hl7:item is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &lt;= 1">(Text): element hl7:Tr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@styleCode">(Text): attribute @styleCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@styleCode) or (string-length(@styleCode) &gt; 0 and not(matches(@styleCode,'\s')))">(Text): Attribute @styleCode SHALL be of data type 'cs'  - '<value-of select="@styleCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Th) &gt;= 1">(Text): element hl7:Th is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &gt;= 1">(Text): element hl7:Td is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &lt;= 1">(Text): element hl7:Td appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:templateId
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:templateId">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:time) &gt;= 1">(GeneralSectionEntries): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:time) &lt;= 1">(GeneralSectionEntries): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(GeneralSectionEntries): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(GeneralSectionEntries): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:time">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="not(*)">(GeneralSectionEntries): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:id) &gt;= 1">(GeneralSectionEntries): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedPerson) &gt;= 1">(GeneralSectionEntries): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedPerson) &lt;= 1">(GeneralSectionEntries): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthoringDevice) &gt;= 1">(GeneralSectionEntries): element hl7:assignedAuthoringDevice is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(GeneralSectionEntries): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:representedOrganization) &lt;= 1">(GeneralSectionEntries): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &gt;= 1">(GeneralSectionEntries): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &lt;= 1">(GeneralSectionEntries): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(GeneralSectionEntries): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:softwareName) &lt;= 1">(GeneralSectionEntries): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &lt;= 1">(GeneralSectionEntries): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]) &gt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]) &lt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@ID">(ObservationMediaEntry): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@moodCode">(ObservationMediaEntry): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(ObservationMediaEntry): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@classCode">(ObservationMediaEntry): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@classCode) or (string-length(@classCode) &gt; 0 and not(matches(@classCode,'\s')))">(ObservationMediaEntry): Attribute @classCode SHALL be of data type 'cs'  - '<value-of select="@classCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']) &gt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']) &lt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &gt;= 1">(ObservationMediaEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &lt;= 1">(ObservationMediaEntry): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &gt;= 1">(ObservationMediaEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &lt;= 1">(ObservationMediaEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.4.1.4.7')">(ObservationMediaEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.4.1.4.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:id
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@mediaType) = ('2.16.840.1.113883.11.14839')">(ObservationMediaEntry): The value for mediaType SHALL be '2.16.840.1.113883.11.14839'. Found: "<value-of select="@mediaType"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@representation) = ('B64')">(ObservationMediaEntry): The value for representation SHALL be 'B64'. Found: "<value-of select="@representation"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:reference) &lt;= 1">(ObservationMediaEntry): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value/hl7:reference
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value/hl7:reference">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry
Item: (GeneralSectionEntries)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:regionOfInterest) = 0">(GeneralSectionEntries): element hl7:regionOfInterest MAY NOT be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:section[hl7:code[(@code = '55115-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:entry/hl7:regionOfInterest
Item: (GeneralSectionEntries)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]"
         id="d42e37821-false-d405893e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]) &gt;= 1">(XeHClinicalInformation): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]) &lt;= 1">(XeHClinicalInformation): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]
Item: (XeHClinicalInformation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]
Item: (XeHClinicalInformation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]"
         id="d42e37826-false-d405950e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]) &gt;= 1">(XeHClinicalInformation): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.61-2022-03-17T115155.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]) &lt;= 1">(XeHClinicalInformation): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.61
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]
Item: (XeHClinicalInformation)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:templateId
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:templateId"
         id="d405975e45-false-d405985e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]"
         id="d405975e47-false-d405995e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:time) &gt;= 1">(GeneralSectionEntries): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:time) &lt;= 1">(GeneralSectionEntries): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(GeneralSectionEntries): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(GeneralSectionEntries): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:time"
         id="d405975e83-false-d406019e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="not(*)">(GeneralSectionEntries): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor"
         id="d405975e85-false-d406032e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:id) &gt;= 1">(GeneralSectionEntries): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedPerson) &gt;= 1">(GeneralSectionEntries): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedPerson) &lt;= 1">(GeneralSectionEntries): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthoringDevice) &gt;= 1">(GeneralSectionEntries): element hl7:assignedAuthoringDevice is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(GeneralSectionEntries): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:representedOrganization) &lt;= 1">(GeneralSectionEntries): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id"
         id="d405975e87-false-d406068e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson"
         id="d405975e89-false-d406078e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &gt;= 1">(GeneralSectionEntries): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &lt;= 1">(GeneralSectionEntries): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="d405975e91-false-d406094e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="d405975e94-false-d406104e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(GeneralSectionEntries): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:softwareName) &lt;= 1">(GeneralSectionEntries): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="d405975e96-false-d406124e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="d405975e98-false-d406134e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization"
         id="d405975e101-false-d406144e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:name) &lt;= 1">(GeneralSectionEntries): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="d405975e103-false-d406158e0">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(GeneralSectionEntries): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]"
         id="d405975e109-false-d406181e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (GeneralSectionEntries)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]"
         id="d405975e114-false-d406244e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (GeneralSectionEntries)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]"
         id="d405975e119-false-d406293e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]) &gt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]) &lt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@ID">(ObservationMediaEntry): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@moodCode">(ObservationMediaEntry): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(ObservationMediaEntry): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@classCode">(ObservationMediaEntry): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@classCode) or (string-length(@classCode) &gt; 0 and not(matches(@classCode,'\s')))">(ObservationMediaEntry): Attribute @classCode SHALL be of data type 'cs'  - '<value-of select="@classCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']) &gt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']) &lt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &gt;= 1">(ObservationMediaEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &lt;= 1">(ObservationMediaEntry): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &gt;= 1">(ObservationMediaEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &lt;= 1">(ObservationMediaEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.4.1.4.7')">(ObservationMediaEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.4.1.4.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:id
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@mediaType) = ('2.16.840.1.113883.11.14839')">(ObservationMediaEntry): The value for mediaType SHALL be '2.16.840.1.113883.11.14839'. Found: "<value-of select="@mediaType"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@representation) = ('B64')">(ObservationMediaEntry): The value for representation SHALL be 'B64'. Found: "<value-of select="@representation"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:reference) &lt;= 1">(ObservationMediaEntry): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value/hl7:reference
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value/hl7:reference">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]"
         id="d405975e124-false-d406462e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(GeneralSectionEntries): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(GeneralSectionEntries): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (GeneralSectionEntries)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry
Item: (GeneralSectionEntries)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry"
         id="d405975e129-false-d407533e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-1.2.840.10008.9.23-2021-06-21T172530.html"
              test="count(hl7:regionOfInterest) = 0">(GeneralSectionEntries): element hl7:regionOfInterest MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.23
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.61']]/hl7:entry/hl7:regionOfInterest
Item: (GeneralSectionEntries)
-->
</pattern>
